﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.AddressBook.ManageABCustomers, App_Web_manageabcustomers.ascx.59fd2cee" %>
<link href="module.css" rel="stylesheet" type="text/css" />

<table id="ButtonRow" runat="server" width="100%"><tr><td>
    <asp:Button ID="btnBack" runat="server" onclick="btnBack_Click" resourcekey="btnBack" CausesValidation="false" CssClass=""/>&nbsp;&nbsp;&nbsp;
    <asp:Button ID="btnEditCustomerNav" runat="server" Text="Manage Customer" CausesValidation="false" onclick="btnEditCustomerNav_Click" CssClass="" />&nbsp;&nbsp;&nbsp;
    <asp:Button ID="btnAddCustomerNav" runat="server" Text="Add Customer" CausesValidation="false" onclick="btnAddCustomerNav_Click" CssClass="" />
<hr />
</td></tr></table>
<br />
<div class="center"><asp:Label ID="lblMessage" runat="server" CssClass="SmithBlueMsgLarge" /></div>

<asp:MultiView runat="server" ID="mvMain">

<%--*** Edit Customer ***--%>

<asp:View ID="viewEditCustomer" runat="server">

<div class="left"><asp:Label ID="Label2" runat="server" CssClass="SmithTitle" resourcekey="ManageCustomerTitle"/></div>
<br /><br />
<div class="center">  
    <asp:GridView ID="grdShipTo" runat="server" AutoGenerateColumns="false" CssClass="cssMain" CellPadding="4" PageSize="50" AllowPaging="True"
        OnRowDeleting="grdShipTo_RowDeleting" OnPageIndexChanging="grdShipTo_PageIndexChanging"  DataKeyNames="CustomerID">
        <HeaderStyle CssClass="GridHeader" /> 
        <PagerSettings Mode="NextPreviousFirstLast" />

        <Columns>
            <asp:TemplateField ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:LinkButton CausesValidation="false"  ID="lkUpdate" runat="server" Text="Edit" OnClick="lkUpdate_Edit" ></asp:LinkButton>
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="ShipToID"  Visible="false">
                <ItemTemplate>
                    <asp:Label ID="lblCustomerID" runat="server" Text='<%#Eval("CustomerID") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>

             <asp:TemplateField HeaderText="CompanyName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" >
                <ItemTemplate>
                    <asp:Label ID="lblCompanyName" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.Companyname")) %>'> </asp:Label>
                </ItemTemplate>    
            </asp:TemplateField>
    
            <asp:TemplateField HeaderText="FirstName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblFirstName" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.firstname")) %>'> </asp:Label>
                </ItemTemplate>    
            </asp:TemplateField>
                    
            <asp:TemplateField HeaderText="LastName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblLastName" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.lastname")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>

            <asp:TemplateField HeaderText="Address1" ItemStyle-CssClass="GridCells" HeaderStyle-HorizontalAlign="Left">
                <ItemTemplate>
                    <asp:Label ID="lblAddress1" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.address1")) %>' Width="150px"></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
                    
                <asp:TemplateField HeaderText="Address2" ItemStyle-CssClass="GridCells" HeaderStyle-HorizontalAlign="Left">
                <ItemTemplate>
                    <asp:Label ID="lblAddress2" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.address2")) %>' Width="80px"></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
                    
            <asp:TemplateField HeaderText="City" ItemStyle-CssClass="GridCells" HeaderStyle-HorizontalAlign="Left">
                <ItemTemplate>
                    <asp:Label ID="lblCity" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.city")) %>'></asp:Label>
                </ItemTemplate>  
            </asp:TemplateField>
                    
            <asp:TemplateField HeaderText="State" ItemStyle-CssClass="GridCells" HeaderStyle-HorizontalAlign="Left">
                <ItemTemplate>
                    <asp:Label ID="lblState" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.state")) %>' ></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
                    
            <asp:TemplateField HeaderText="Country" ItemStyle-CssClass="GridCells" HeaderStyle-HorizontalAlign="Left">
                <ItemTemplate>
                    <asp:Label ID="lblCountry" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.country")) %>' Width="5px"></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
                    
            <asp:TemplateField HeaderText="Zip" ItemStyle-CssClass="GridCells" HeaderStyle-HorizontalAlign="Left">
                <ItemTemplate>
                    <asp:Label ID="lblZip" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.zip")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
                    
            <asp:TemplateField HeaderText="Email" ItemStyle-CssClass="GridCells" HeaderStyle-HorizontalAlign="Left">
                <ItemTemplate>
                    <asp:Label ID="lblEmail" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.email")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>

             <asp:TemplateField HeaderText="BuyerRole" ItemStyle-CssClass="GridCells" HeaderStyle-HorizontalAlign="Left">
                <ItemTemplate>
                    <asp:Label ID="lblBuyerRole" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.buyerrole")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>

             <asp:TemplateField HeaderText="DNNLogin" SortExpression="DNNLogin" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblDNNLogin" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"DNNLogin")%>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
                        
            <asp:CommandField ShowDeleteButton="true" ItemStyle-CssClass="GridCells"/>
                
        </Columns>
    </asp:GridView>

</div>
<br />

  </asp:View>


<%--*** Add Customer ***--%>

  <asp:View ID="viewAddCustomer" runat="Server">

<table width="100%" class="SmithProdText">
    <col width="20%" />
    <col width="60%" /> 
    <tr align="right"><td class="SmithTitle"><asp:Label ID="lblEditorTitle" runat="server" Text="Add Customer" /></td></tr>
    <tr style="height:20"><td>&nbsp;</td></tr>
    <tr>
        <td valign="top" align="right"><asp:Label runat="server" ID="lblCompanyName" resourcekey="lblCompanyName" CssClass="SmithProdText"/>&nbsp;&nbsp;</td>
        <td align="left">
            <asp:TextBox ID="txtCompanyName" runat="server" MaxLength="100" Width="200px" TabIndex="1"/>
            <%--<asp:RequiredFieldValidator ID="rfvCompanyName" runat="server" ControlToValidate="txtCompanyName" Display="Dynamic" resourcekey="Required" CssClass="SmithProdText"/>--%>
        </td>
    </tr>  
    <tr>
        <td align="right" nowrap="nowrap" valign="top" class="SmithProdText"><%= Localization.GetString("txtFirst_Name.Text", LocalResourceFile)%><font color="red">*</font>&nbsp;&nbsp;</td>
        <td align="left">
            <asp:TextBox ID="txtFirstName" TabIndex="4" runat="server" MaxLength="50" Width="200px" AutoCompleteType="Disabled" CssClass="NormalTextBox"/>
            <asp:RequiredFieldValidator ID="rfvFirstName" runat="server" ControlToValidate="txtFirstName" Display="Dynamic" ErrorMessage="*Required" CssClass="SmithProdText"/>
       </td>
    </tr>
    <tr><td style="height: 3"></td></tr>
    <tr>
        <td align="right" nowrap="nowrap" valign="top" class="SmithProdText"><%= Localization.GetString("txtLast_Name.Text", LocalResourceFile)%><font color="red">*</font>&nbsp;&nbsp;</td>
        <td align="left">
            <asp:TextBox ID="txtLastName" TabIndex="5" runat="server" MaxLength="50" CssClass="NormalTextBox" Width="200px"/>
            <asp:RequiredFieldValidator ID="rfvLastName" runat="server" ControlToValidate="txtLastName" Display="Dynamic" ErrorMessage="*Required" CssClass="SmithProdText"/>
        </td>
    </tr>
    <tr><td style="height: 3"></td></tr>
    <tr>
        <td valign="top" align="right" class="SmithProdText"><%= Localization.GetString("txtAddress_1.Text", LocalResourceFile)%><font color="red">*</font>&nbsp;&nbsp;</td>
        <td align="left">
            <asp:TextBox ID="txtAddress" TabIndex="6" runat="server" MaxLength="100" Width="200px" CssClass="NormalTextBox"/>
            <asp:RequiredFieldValidator ID="rfvAddress" runat="server" Display="Dynamic" ControlToValidate="txtAddress" CssClass="SmithProdText" ErrorMessage="*Required"/>
        </td>
    </tr>
   <tr><td style="height: 3"></td></tr>
    <tr>
        <td valign="top" align="right" class="SmithProdText"><%= Localization.GetString("txtAddress_2.Text", LocalResourceFile)%>&nbsp;&nbsp; </td>
        <td align="left"><asp:TextBox ID="txtAddress2" TabIndex="7" runat="server" MaxLength="100" Width="200px" CssClass="NormalTextBox"/></td>
    </tr>
    <tr><td style="height: 3"></td></tr>
    <tr>
        <td valign="top" align="right" class="SmithProdText"><%= Localization.GetString("txtCity.Text", LocalResourceFile)%><font color="red">*</font>&nbsp;&nbsp;</td>
        <td align="left">
            <asp:TextBox ID="txtCity" TabIndex="8" runat="server" MaxLength="50" CssClass="NormalTextBox" Width="200px"/>
            <asp:RequiredFieldValidator ID="rfvCity" runat="server" Display="Dynamic" ControlToValidate="txtCity" CssClass="SmithProdText" ErrorMessage="*Required"/>
        </td>
    </tr>
    <tr><td style="height: 3"></td></tr>
    <tr>
        <td valign="top" align="right" class="SmithProdText"><%= Localization.GetString("txtCountry.Text", LocalResourceFile)%>&nbsp;&nbsp;</td>
        <td align="left">
            <asp:DropDownList ID="ddlCountry" Width="200px"  TabIndex="9" runat="server" OnSelectedIndexChanged="ddlCountry_SelectedIndexChanged" AutoPostBack="True" AppendDataBoundItems="true"></asp:DropDownList>
            <asp:RequiredFieldValidator ID="rfvddlCountry" runat="server" ControlToValidate="ddlCountry" InitialValue="0" Height="18px" Width="56px" Display="Dynamic" CssClass="SmithProdText" ErrorMessage="*Required"/>
        </td>
    </tr>
    <tr><td style="height: 3"></td></tr>
    <tr>
        <td valign="top" align="right" class="SmithProdText"><%= Localization.GetString("txtState_Region.Text", LocalResourceFile)%><font color="red">*</font>&nbsp;&nbsp;</td>
        <td align="left" valign="top">
            <asp:DropDownList ID="ddlState" TabIndex="10" runat="server" Width="200px" />                
            <asp:TextBox ID="txtState" runat="server" Visible="false" Width="200px" CssClass="NormalTextBox" TabIndex="10" MaxLength="50"/>
            <asp:RequiredFieldValidator ID="rfvState" Display="Dynamic" runat="server" ControlToValidate="ddlState" InitialValue="0" CssClass="SmithProdText" ErrorMessage="*Required" />
        </td>
    </tr>
    <tr><td style="height: 3"></td></tr>
    <tr>
        <td valign="top" align="right" class="SmithProdText"><%= Localization.GetString("txtZip_Code.Text", LocalResourceFile)%><font color="red">*</font>&nbsp;&nbsp;</td>
        <td align="left">
            <asp:TextBox ID="txtZip" TabIndex="11" runat="server" MaxLength="10" Width="200px" Columns="10" CssClass="NormalTextBox"/>
            <asp:RequiredFieldValidator ID="rfvZip" Display="Dynamic" runat="server" ControlToValidate="txtZip" CssClass="SmithProdText" ErrorMessage="*Required"/>
        </td>
    </tr>
    <tr><td style="height: 3"></td></tr>
    <tr>
        <td valign="top" align="right" class="SmithProdText"><%= Localization.GetString("txtEmail.Text", LocalResourceFile)%><font color="red">*</font>&nbsp;&nbsp;</td>
        <td align="left">
            <asp:TextBox ID="txtEmail" TabIndex="12" runat="server" MaxLength="50" Width="200px" CssClass="NormalTextBox"/>
            <asp:RequiredFieldValidator ID="rfvEmail" runat="server" ControlToValidate="txtEmail" Display="Dynamic" CssClass="SmithProdText" ErrorMessage="*Required" />
            <asp:RegularExpressionValidator ID="revEmail" runat="server" ControlToValidate="txtEmail" Display="Dynamic"
                    ErrorMessage="Invalid Email Address." ValidationExpression="^[a-zA-Z0-9][\w\.-]*[a-zA-Z0-9]@[a-zA-Z0-9][\w\.-]*[a-zA-Z0-9]\.[a-zA-Z][a-zA-Z\.]*[a-zA-Z]$" />
        </td>
    </tr>
    <tr><td style="height: 3"></td></tr>
    <tr>
        <td nowrap="nowrap" valign="top" align="right" class="SmithProdText"><%= Localization.GetString("txtPrimary_Phone.Text", LocalResourceFile)%><font color="red">*</font>&nbsp;&nbsp;</td>
        <td align="left">
            <asp:TextBox ID="txtPriPhone" TabIndex="13" runat="server" MaxLength="30" Columns="15" Width="200px" CssClass="NormalTextBox"/>
            <asp:RequiredFieldValidator ID="rfvPriPhone" runat="server" ControlToValidate="txtPriPhone" Display="Dynamic" CssClass="SmithProdText" ErrorMessage="*Required"/>
           <%-- <asp:RegularExpressionValidator ID="rfvPhone1" ValidationExpression="^([0-9\(\)\/\+ \-]*)$" runat="server" ErrorMessage="Enter a valid phone"/>--%>
        </td>
    </tr>
    <tr><td style="height: 3"></td></tr>
    <tr>
        <td nowrap="nowrap" valign="top" align="right" class="SmithProdText"><%= Localization.GetString("txtSecondary_Phone.Text", LocalResourceFile)%>&nbsp;&nbsp;</td>
        <td align="left"><asp:TextBox ID="txtSecPhone" TabIndex="14" runat="server" MaxLength="30" Columns="15" Width="200px" CssClass="NormalTextBox"/></td>
    </tr>
    <tr><td style="height: 3"></td></tr>
    <tr>
        <td nowrap="nowrap" valign="top" align="right" class="SmithProdText"><%= Localization.GetString("txtBuyerRole.Text", LocalResourceFile)%>&nbsp;&nbsp;</td>
        <td align="left"><asp:DropDownList runat="server" ID="ddlBuyerRole" AppendDataBoundItems="true" TabIndex="18"></asp:DropDownList></td>
    </tr>
    <tr><td style="height: 3"></td></tr>
    <tr runat="server" id="trDNNLogin" align="left">
        <td align="right" valign="top"><asp:Label ID="lblDNNLogin" runat="server" resourcekey="lblDNNLogin" CssClass="SmithProdText"/>&nbsp;&nbsp;</td>
        <td valign="top">
            <asp:TextBox ID="txtDNNLogin" runat="server" MaxLength="30" Columns="15" TabIndex="22" Width="200px"/>
            <asp:RequiredFieldValidator ID="rfvDNNLogin" runat="server" ControlToValidate="txtDNNLogin" ErrorMessage="DNN Login Required" Display="Dynamic"/>
        </td>
    </tr>

     <tr runat="server" id="trPassword" >
        <td align="right"><asp:Label ID="lblNewPassword" resourcekey="lblNewPassword" runat="server" CssClass="SmithProdText"/><font color="red">*</font>&nbsp;&nbsp;</td>
        <td align="left"> 
            <asp:TextBox ID="txtNewPassword" runat="server" Width="216px" TextMode="Password" TabIndex="26"/>&nbsp;
            <asp:RequiredFieldValidator ID="rfvNewPassword" runat="Server" ControlToValidate="txtNewPassword" resourcekey="Required" Display="dynamic" ValidationGroup="Group"/>
        </td>
    </tr>
    
    <tr runat="server" id="trConfirmPassword" >
        <td align="right"><asp:Label ID="lblNewPasswordConfirm" resourcekey="lblNewPasswordConfirm" runat="server" CssClass="SmithProdText"/><font color="red">*</font>&nbsp;&nbsp;</td>
        <td align="left"> 
            <asp:TextBox ID="txtNewPasswordConfirm" runat="server" Width="216px" TextMode="Password" TabIndex="28"/>&nbsp;
            <asp:RequiredFieldValidator ID="rfvNewPasswordConfirm" runat="Server" ControlToValidate="txtNewPasswordConfirm" resourcekey="Required" Display="dynamic" ValidationGroup="Group"/>
            <asp:CompareValidator ID="cvCompPassword" runat="server" ControlToCompare="txtNewPassword" ControlToValidate="txtNewPasswordConfirm" resourcekey="Passwork_Match" Display="dynamic" ValidationGroup="Group"/>
        </td>
    </tr>

     <tr><td style="height: 3">&nbsp;</td></tr>

     <tr>
        <td align="center"><asp:Button runat="server" ID="btnCancel" onclick="btnCancel_Click" resourcekey="btnCancel" CausesValidation="false" /></td>
        <td align="left"><asp:Button runat="server" ID="btnAddShipTo" onclick="btnAddShipTo_Click" TabIndex="30" /></td>
    </tr>

    <tr><td style="height: 3"><asp:Label ID="lblMsg" runat="server" CssClass="SmithRequiredText" /></td></tr>
   
</table>

<br /><br />


    </asp:View>

</asp:MultiView>