﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.ProductVariants, App_Web_productvariants.ascx.54f2e0e1" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="ProductMenuInclude" Src="menus/productmenu.ascx" %>
<link href="module.css" rel="stylesheet" type="text/css" />

<uc1:ProductMenuInclude ID="productmenu" runat="server" />
<br /><br />

<div class="left">
<table id="ButtonRow" runat="server" width="925px"><tr><td>
    <asp:Button ID="btnEditVariantNav" runat="server" Text="Manage Variants" CausesValidation="false" onclick="btnEditVariantNav_Click" CssClass="" />&nbsp; 
    <asp:Button ID="btnAddVariantNav" runat="server" Text="Add Variant" CausesValidation="false" onclick="btnAddVariantNav_Click" CssClass="" />&nbsp;
    <asp:Button ID="btnVariantGroupsNav" runat="server" Text="Variant Groups" CausesValidation="false" onclick="btnVariantGroupsNav_Click" CssClass="" />&nbsp;
    <asp:Button ID="btnVariantInventoryNav" runat="server" Text="Variant Inventory" CausesValidation="false" onclick="btnVariantInventoryNav_Click" CssClass="" />&nbsp;
    <asp:Button ID="btnCopyVariantNav" runat="server" Text="Copy Variant" CausesValidation="false" onclick="btnCopyVariantNav_Click" CssClass="" Visible="false"/>
<hr />
</td></tr>
<tr align="left"><td>
    <asp:Label ID="lblEditorTitle" runat="server" Text="Manage Product Variants" CssClass="SmithTitle" />&nbsp;-&nbsp;
    <asp:Label ID="lblProductName" runat="server" CssClass="SmithProdText" />
</td></tr>
</table>
</div>

 <br />

<asp:MultiView runat="server" ID="mvMain">

<%-- ***** Variant Grid ***** --%>

  <asp:View ID="viewEditVariant" runat="server">

<table>
    <tr style="height:20"><td>&nbsp;</td></tr>
    <tr>
        <td>
            <asp:GridView ID="grdVariants"  runat="server" AutoGenerateColumns="false"  DataKeyNames="VariantID" OnRowDeleting="grdVariants_RowDeleting" CssClass="cssMain" CellPadding="4" > 
                <HeaderStyle CssClass="GridHeader" /> 
                <Columns>
                    <asp:TemplateField ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:LinkButton CausesValidation="false"  ID="lkUpdate" runat="server" Text="Edit" OnClick="lkUpdate_Edit"></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:LinkButton CausesValidation="false"  ID="lkMemberPricing" runat="server" Text="Member Pricing" OnClick="lkMemberPricing_Edit"></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>

                     <asp:TemplateField HeaderText="Variant ID" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblVariantID" runat="server" Text='<%#Eval("variantid") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="SortOrder" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblSortOrder" runat="server" Text='<%#Eval("SortOrder") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                
                    <asp:TemplateField HeaderText="Variant Group" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblVariantGroup" runat="server" Text='<%#Eval("VariantGroup") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                
                    <asp:TemplateField HeaderText="Sku" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblSku" runat="server" Text='<%#Eval("Sku") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                
                    <asp:TemplateField HeaderText="Variant Name" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblVariantName" runat="server" Text='<%#Eval("VariantName") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                
                    <asp:TemplateField HeaderText="Display Type" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblVariantDisplayType" runat="server" Text='<%#Eval("VariantDisplayType") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                
                    <asp:TemplateField HeaderText="Required" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:CheckBox ID="chkRequired" runat="server" Checked='<%#Eval("VariantRequired") %>'></asp:CheckBox>
                        </ItemTemplate>
                    </asp:TemplateField>
                
                  <%--  <asp:TemplateField HeaderText="Qty On Hand" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblQtyOnHand" runat="server" Text='<%#Eval("QtyOnHand") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>--%>
                
                    <asp:TemplateField HeaderText="Variant Image" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblVariantImage" runat="server" Text='<%#Eval("VariantImage") %>' Width="200px"></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                
                    <asp:TemplateField HeaderText="Price Adj" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblPriceAdj" runat="server" Text='<%#Eval("PriceAdjustment","{0:n}") %>' />
                        </ItemTemplate>
                     </asp:TemplateField>
                
                    <asp:TemplateField HeaderText="Weight Adj" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblWeightAdj" runat="server" Text='<%#Eval("WeightAdjustment") %>' />
                        </ItemTemplate>
                    </asp:TemplateField>
                
                    <asp:TemplateField HeaderText="ConditionalGroupID" Visible="false">
                        <ItemTemplate>
                            <asp:Label ID="lblConditionalGroupID" runat="server" Text='<%#Eval("ConditionalGroupID") %>'></asp:Label>
                         </ItemTemplate>
                    </asp:TemplateField>
                
                    <asp:TemplateField HeaderText="Conditional Group" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblConditionalGroupName" runat="server" Text='<%#Eval("ConditionalGroupName") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                
                    <asp:TemplateField HeaderText="Select" ItemStyle-HorizontalAlign="left">
                        <HeaderTemplate><asp:Label ID="Label13" runat="server" Text="Select"/>
                            <asp:CheckBox ID="chkSelectAll" runat="server" AutoPostBack="true" OnCheckedChanged="chkSelectAll_CheckedChanged"/>
                        </HeaderTemplate>
                        <ItemTemplate>
                            <asp:CheckBox ID="chkSelect" runat="server"/>
                       </ItemTemplate>
                   </asp:TemplateField>
					
                   <asp:CommandField ShowDeleteButton="true" ItemStyle-CssClass="GridCells"/>
                </Columns>

                <EmptyDataTemplate>
                    <asp:Label ID="lblEmptyMessage" runat="server" Text="No Variants Added Yet. Please click the 'Add Variants' button above to add a variant." />
                </EmptyDataTemplate>

            </asp:GridView><br />
      </td>
    </tr>

    <tr style="height:20"><td align="center">
        <asp:Label ID="lblMessage" runat="server" CssClass="SmithBlueMsgLarge" Visible="false" />
    </td></tr>

</table>

  <table width="100%"><tr><td width="7">&nbsp;</td><td>
        <table width="100%">
            <tr><td style="height:20px"/></tr>
            <tr align="left">
                <td>
                    <asp:Label ID="Label16" runat="server" CssClass="SmithProdText" Text="Copy Product Variants To:"/>&nbsp;&nbsp;
                    <asp:DropDownList ID="ddlProducts" runat="server" Width="300px" AppendDataBoundItems="True">
                            <asp:ListItem Text="-Select-" Value="0"/>                
                    </asp:DropDownList>&nbsp;&nbsp;
                    <asp:Button ID="btnCopyVariant" runat="server" Text="Copy" Width="65px" onclick="btnCopyVariant_Click" CausesValidation="false" />&nbsp;&nbsp;
                    <asp:Label ID="lblCopyVariantMsg" runat="server" CssClass="SmithBlueMsgBold" />
                </td>
            </tr>
            <tr><td style="height:30px" /></tr>
        </table>
    </td></tr></table>
</asp:View>



  <%-- ***** Add/Edit Variants ***** --%>

  <asp:View ID="viewAddVariant" runat="Server">

<table width="100%"><tr><td width="20">&nbsp;</td><td>

<table class="SmithProdText" cellpadding="2" cellspacing="2" width="100%" >
    <colgroup>
        <col width="12%" />
        <col width="50%" />
    </colgroup>
        
        <tr><td style="height:20px"></td></tr>
        
        <tr align="left">
            <td  class="SmithProdText"><dnn:Label ID="SCPVSortOrder" runat="server" /></td>
            <td><asp:TextBox ID="txtVariantSortOrder" runat="server" MaxLength="3" Width="75" /></td>
        </tr>
        
        <tr><td></td></tr>

        <tr align="left">
            <td class="SmithProdText"><dnn:Label ID="SCPVrntGrp" runat="server" /></td>
            <td>
                <asp:DropDownList ID="ddlVariantGroup" runat="server" Width="200px" AppendDataBoundItems="True">
                    <asp:ListItem Text="-Select-" Value="0"/>                
                </asp:DropDownList>&nbsp;
                <asp:RequiredFieldValidator ID="rfvVariantGroup" Display="Dynamic" runat="server" ControlToValidate="ddlVariantGroup" InitialValue="0" CssClass="SmithProdText" Text="Required" />&nbsp;&nbsp;
                <asp:LinkButton ID="lbManageGroup" runat="server" Text="Manage Variant Groups" onclick="lbManageGroup_Click" CausesValidation="false" CssClass="adminLink" />
            </td>
        </tr>
        
        <tr><td></td></tr>

         <tr align="left">
            <td class="SmithProdText"><dnn:Label ID="SCPVname" runat="server" /></td>
            <td>
                <asp:TextBox ID="txtProductVariantName" runat="server" MaxLength="100" Width="300" />&nbsp;&nbsp;
                <asp:RequiredFieldValidator ID="rfvVariantName" runat="server" ControlToValidate="txtProductVariantName" Display="Dynamic" ErrorMessage="*Required"/>
            </td>
        </tr>

        <tr><td></td></tr>

         <tr align="left">
            <td class="SmithProdText" valign="top"><dnn:Label ID="SCPVsku" runat="server" /></td>
            <td valign="top"><asp:TextBox ID="txtVariantSku" runat="server" MaxLength="100" Width="300" />&nbsp;</td>
        </tr>

        <tr><td></td></tr>

        <tr align="left">
            <td class="SmithProdText" valign="top"><dnn:Label ID="SCPVrqrd" runat="server" /></td>
            <td><asp:CheckBox ID="chkVariantRequired" runat="server" /></td>
        </tr>
       
        <tr><td></td></tr>

         <tr align="left">
            <td class="SmithProdText"><dnn:Label ID="SCPVtype" runat="server" /></td>
            <td>
                <asp:RadioButtonList ID="rblVariantDisplayType" runat="server" onselectedindexchanged="rblVariantDisplayType_SelectedIndexChanged" AutoPostBack="true" CssClass="scRadioButtons" RepeatColumns="2" >
                    <asp:ListItem ID="optDropDown" runat="server" Text="Dropdown List" value="DropdownList" Selected="True" />
                    <asp:ListItem ID="optRadioButtons" runat="server" Text="Radio Buttons"  value="RadioButtons" />
                    <asp:ListItem ID="optCheckBox" runat="server" Text="CheckBox" value="CheckBox" />
                    <asp:ListItem ID="optGrid" runat="server" Text="Grid Layout" value="Grid" />
                    <asp:ListItem ID="optTextBox" runat="server" Text="TextBox" value="TextBox" />
                    <asp:ListItem ID="optMultiLineTextBox" runat="server" Text="MultiLine TextBox" value="MultiLineTextBox" />
                    <asp:ListItem ID="optIcon" runat="server" Text="Icons/Swatches" value="Icon" />
                    <asp:ListItem ID="optFileUpload" runat="server" Text="File Upload" value="FileUpload" />
                </asp:RadioButtonList>
            </td>
        </tr>

        <asp:Panel ID="pnlGridOptions" runat="server" Visible="false" >

            <tr><td></td></tr>
		    <tr align="left">
                <td class="SmithProdText" valign="top">Show Qty On Hand Column:</td>
                <td><asp:CheckBox ID="chkShowQtyOnHand" runat="server" /></td>
            </tr>

            <tr><td></td></tr>

            <tr align="left">
                <td align="left" valign="top" class="SmithProdText">Quantity On Hand:</td>
                <td>
            	    <asp:TextBox ID="txtVariantQtyOnHand" runat="server" MaxLength="9" Width="100px"/>
                   <%-- <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="txtVariantQtyOnHand" Display="Dynamic" ErrorMessage="*Required"/>--%>
                    <asp:CompareValidator ID="CompareValidator2" runat="server" ControlToValidate="txtVariantQtyOnHand" ErrorMessage="Please Enter Valid Quantity" Operator="DataTypeCheck" Type="Integer">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</asp:CompareValidator>
                </td>
            </tr>

            <tr><td></td></tr>

		    <tr align="left">
                <td class="SmithProdText" valign="top">Show Member Price:</td>
                <td><asp:CheckBox ID="chkShowMemberPrice" runat="server" /></td>
            </tr>

            <tr><td></td></tr>

        </asp:Panel>
       
        <tr><td></td></tr>

        <asp:Panel ID="pnlDropDownImageOptions" runat="server" Visible="false" >
             <tr align="left">
                <td class="SmithProdText" valign="middle">Dropdown List <br /> Custom Image Options:</td>
                <td>
                    <asp:RadioButtonList ID="rblDDImageOptions" runat="server" CssClass="scRadioButtons" >
                        <asp:ListItem ID="optNoCustomImageOptions" runat="server" Text="No Custom Image Options" value="NoCustomImageOptions" Selected="True" />
                        <asp:ListItem ID="optAddBorder" runat="server" Text="Add Border" value="AddBorder"/>
                        <asp:ListItem ID="optBackgroundColor" runat="server" Text="Background Color"  value="BackgroundColor" />
                        <asp:ListItem ID="optTextColor" runat="server" Text="Text Color" value="TextColor" />
                    </asp:RadioButtonList>
                </td>
            </tr>
            <tr><td></td></tr>
         </asp:Panel>

         <asp:Panel ID="pnlTextBoxImageOptions" runat="server" Visible="false" >
             <tr align="left">
                <td class="SmithProdText" valign="top">Render Text In Image:</td>
                <td><asp:CheckBox ID="chkRenderTextInImage" runat="server" /></td>
            </tr>
            <tr><td></td></tr>
         </asp:Panel>

          <asp:Panel ID="pnlIconOptions" runat="server" Visible="false" >
            <tr align="left">
                <td class="SmithProdText" valign="middle">Icon Custom <br /> Image Options:</td>
                <td>
                    <asp:RadioButtonList ID="rblIconImageOptions" runat="server" CssClass="scRadioButtons" >
                        <asp:ListItem ID="optNoCustomImageOptions1" runat="server" Text="No Custom Image Options" value="NoCustomImageOptions" Selected="True" />
                        <asp:ListItem ID="optAddLeft" runat="server" Text="Add Icon On Left" value="AddLeft"/>
                        <asp:ListItem ID="optAddRight" runat="server" Text="Add Icon On Right"  value="AddRight" />
                        <asp:ListItem ID="optAddLeftRight" runat="server" Text="Add Icon On Left and Right" value="AddLeftRight" />
                    </asp:RadioButtonList>
                </td>
            </tr>
            <tr><td></td></tr>
             <tr align="left">
                <td class="SmithProdText" valign="top">Select Icon To Upload:</td>
                <td valign="top"><asp:FileUpload ID="fuIconImage" runat="server" Width="300px" />&nbsp;&nbsp;<asp:Label ID="lblIconImage" runat="server" CssClass="SmithProdText" /></td>
            </tr>
            <tr><td></td></tr>
         </asp:Panel>

	    <tr align="left">
            <td class="SmithProdText" valign="top">Select Image To Upload:</td>
            <td valign="top"><asp:FileUpload ID="fuVariantImage" runat="server" Width="300px" />&nbsp;&nbsp;<asp:Label ID="lblImageName" runat="server" CssClass="SmithProdText" /></td>
        </tr>

         <tr><td></td></tr>

         <tr align="left">
            <td class="SmithProdText" valign="top" nowrap="nowrap">Select Zoom Image To Upload:</td>
            <td valign="top"><asp:FileUpload ID="fuZoomImage" runat="server" Width="300px" />&nbsp;&nbsp;<asp:Label ID="lblZoomImage" runat="server" CssClass="SmithProdText" /></td>
        </tr>
 
        <tr><td></td></tr>

		 <tr align="left">
            <td class="SmithProdText"><dnn:Label ID="SCPVprcadj" runat="server" /></td>
            <td><asp:TextBox ID="txtPriceAdjustment" runat="server" MaxLength="7" Width="100" /></td>
        </tr>
        
        <tr><td></td></tr>
         
        <tr align="left">
            <td class="SmithProdText"><dnn:Label ID="SCPCWghtAdj" runat="server" /></td>
            <td><asp:TextBox ID="txtWeightAdjustment" runat="server" MaxLength="7"  Width="100" /></td>
        </tr>
        
        <tr><td></td></tr>

		 <tr align="left">
            <td class="SmithProdText"><dnn:Label ID="SCPVConVarGrp" runat="server" /></td>
            <td>
                <asp:DropDownList ID="ddlConditionalGroup" runat="server" Width="200px" AppendDataBoundItems="True">
                    <asp:ListItem Text="-Select-" Value="0"/>                
                </asp:DropDownList>
            </td>
        </tr>
        
        <tr><td>&nbsp;</td></tr>

		 <tr align="left">
            <td><asp:Button ID="btnCancel" runat="server" onclick="btnCancel_Click" Text="Cancel" CausesValidation="false" /></td>
            <td>
                <asp:Button ID="btnAddProductVAriant" runat="server" OnClick="btnAddProductVAriant_Click" Text="Add New Product Variant" Width="200" />&nbsp;&nbsp;&nbsp;&nbsp;
                <%--<asp:Button ID="btnClearVariant" runat="server" CausesValidation="False" OnClick="btnClearVariant_Click" Text="Clear" />--%>
            </td>
        </tr>
        
        <tr><td>&nbsp;</td></tr>
   
</table>
</td></tr></table>

</asp:View>

<%--Copy Variant--%>

  <asp:View ID="viewCopyVariant" runat="server">

  

  </asp:View>

</asp:MultiView>