﻿<%@ control language="C#" inherits="Smith.DNN.Modules.BuyNow.UserProfileSearch, App_Web_userprofilesearch.ascx.54f2e0e1" autoeventwireup="true" %>

<link href="module.css" rel="stylesheet" type="text/css" />

<div>
  <asp:TextBox ID="txtSearch" runat="server" />
  <asp:Button ID="btnSearch" runat="server" CausesValidation="false" Text="Search" OnClick="btnSearch_Click" />
  <asp:Button ID="btnClear" runat="server" CausesValidation="false" Text="Clear" OnClick="btnClear_Click" />
  <br /><br />
</div>

<div>
  <asp:GridView ID="gvUsers" runat="server" AutoGenerateColumns="False"
    OnRowDataBound="gvUsers_RowDataBound" OnSelectedIndexChanged="gvUsers_SelectedIndexChanged">

    <HeaderStyle CssClass="GridHeader" />
    <SelectedRowStyle BackColor="LightGray" />  
    <Columns>

      <asp:TemplateField Visible="false">
        <ItemTemplate>
          <asp:Label ID="lblUserId" runat="server" Text='<%# (DataBinder.Eval(Container, "DataItem.UserID")) %>' />
        </ItemTemplate>
      </asp:TemplateField>

      <asp:CommandField HeaderText="Select" ItemStyle-CssClass="GridCells" ShowSelectButton="true" />

      <asp:TemplateField HeaderText="Photo" ItemStyle-CssClass="GridCells">
        <ItemTemplate>
          <asp:Image ID="imgPhoto" runat="server" Width="40" Height="40" />
        </ItemTemplate>
      </asp:TemplateField>

      <asp:TemplateField HeaderText="First Name" ItemStyle-CssClass="GridCells">
        <ItemTemplate>
          <asp:Label ID="lblFirstName" runat="server" />
        </ItemTemplate>
      </asp:TemplateField>

      <asp:TemplateField HeaderText="Last Name" ItemStyle-CssClass="GridCells">
        <ItemTemplate>
          <asp:Label ID="lblLastName" runat="server" />
        </ItemTemplate>
      </asp:TemplateField>

      <asp:TemplateField HeaderText="Birthday" ItemStyle-CssClass="GridCells">
        <ItemTemplate>
          <asp:Label ID="lblBirthday" runat="server" />
        </ItemTemplate>
      </asp:TemplateField>

      <asp:TemplateField HeaderText="Email" ItemStyle-CssClass="GridCells" Visible="false">
        <ItemTemplate>
          <asp:Label ID="lblEmail" runat="server" />
        </ItemTemplate>
      </asp:TemplateField>
    </Columns>
  </asp:GridView>
</div>
