﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.VariantInventory, App_Web_variantinventory.ascx.54f2e0e1" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="ProductMenuInclude" Src="menus/productmenu.ascx" %>
<link href="module.css" rel="stylesheet" type="text/css" />
<uc1:ProductMenuInclude ID="productmenu" runat="server" />

<table width="100%"><tr><td width="20">&nbsp;</td><td>

<table width="100%" class="SmithProdText">
    <col width="12%" />
    <col width="70%" />
    
    <tr style="height:20"><td>&nbsp;</td></tr>
    
    <tr align="left">
        <td colspan="2">
            <asp:Label ID="Label1" runat="server" Text="Manage Product Variant Inventory" CssClass="SmithTitle"/>&nbsp;-&nbsp;
            <asp:Label ID="lblProductName" runat="server" CssClass="SmithProdText" />
        </td>
    </tr>
    
    <tr><td>&nbsp;</td></tr>
    
    <tr><td colspan="2" class="SmithProdText" align="left">To setup variant inventory check variant names, enter sku and quantity on hand and click the add variant button.</td></tr>
    <tr><td>&nbsp;</td></tr>
     <tr>
        <td colspan="2">
            <asp:GridView ID="gvVariantNames"  runat="server" AutoGenerateColumns="false"  CssClass="cssMain" CellPadding="4" >
                <HeaderStyle CssClass="GridHeader" /> 
                <Columns>
                    <asp:TemplateField HeaderText="VariantID" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" Visible="false">
                        <ItemTemplate><asp:Label ID="lblVariantID" runat="server" Text='<%#Eval("VariantID") %>'></asp:Label></ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Group" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate><asp:Label ID="lblVariantGroup" runat="server" Text='<%#Eval("VariantGroup") %>'></asp:Label></ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Variant Name" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate><asp:Label ID="lblVariantName" runat="server" Text='<%#Eval("VariantName") %>'></asp:Label></ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Select" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells" ItemStyle-Width="40">
                        <ItemTemplate><asp:CheckBox ID="chkSelect" runat="server" /></ItemTemplate>
                    </asp:TemplateField>
                    
                </Columns>
            </asp:GridView>   
        </td>
    </tr>
    
    <tr style="height:20"><td>&nbsp;</td></tr>

    <tr align="left">
        <td class="SmithProdText" nowrap="nowrap"><dnn:label ID="PVISKU" runat="server" /></td>
        <td>
            <asp:TextBox ID="txtVariantSku" runat="server" MaxLength="100" Width="250" />&nbsp;&nbsp;
            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="txtVariantSku" Display="Dynamic" ErrorMessage="*Required"/>
        </td>
    </tr>

    <tr><td></td></tr>

    <tr align="left">
            <td align="left" valign="top" class="SmithProdText"><dnn:Label ID="PVIQtyOnHnd" runat="server" />&nbsp;</td>
            <td>
                <asp:TextBox ID="txtVariantQtyOnHand" runat="server" MaxLength="5" Width="100px"/>&nbsp;&nbsp;
                <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="txtVariantQtyOnHand" Display="Dynamic" ErrorMessage="*Required"/>
                <asp:CompareValidator ID="CompareValidator2" runat="server" ControlToValidate="txtVariantQtyOnHand" ErrorMessage="Please Enter Valid Quantity" Operator="DataTypeCheck" Type="Integer"/>
            </td>
        </tr>

    <tr style="height:30px"><td>&nbsp;</td></tr>
    <asp:CheckBoxList ID="CheckBoxList1" runat="server">
    </asp:CheckBoxList>
    <tr align="left">
        <td align="center"><asp:Button ID="btnClearVariantInventory" runat="server" CausesValidation="False" Text="Clear" onclick="btnClearVariantInventory_Click" /></td>
        <td><asp:Button runat="server" ID="btnAddVariantInventory" Text="Add Variant Inventory" onclick="btnAddVariantInventory_Click" /></td>  
    </tr>

    <tr><td style="height:18px" colspan="2" align="left"><asp:Label ID="lblMessage" runat="server"/></td></tr>

    <tr><td></td></tr>
    
    <tr style="height:110"><td colspan="2">
        <asp:GridView ID="grdVariantInventory" runat="server" AutoGenerateColumns="false" CssClass="cssMain" CellPadding="4" 
                OnRowDeleting="grdVariantInventory_RowDeleting" DataKeyNames="VariantInventoryID">
                <HeaderStyle CssClass="GridHeader" /> 
                <Columns>
                    <asp:TemplateField HeaderText="VariantInventoryID"  Visible="false">
                        <ItemTemplate>
                            <asp:Label ID="lblVariantInventoryID" runat="server" Text='<%#Eval("VariantInventoryID") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Variant Names" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblVariantName" runat="server" Text='<%#Eval("VariantName") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Sku" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblSku" runat="server" Text='<%#Eval("Sku") %>'></asp:Label>
                        </ItemTemplate>
                   </asp:TemplateField>
                    
                   <asp:TemplateField HeaderText="Qty On Hand" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblQtyOnHand" runat="server" Text='<%#Eval("QtyOnHand") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField ItemStyle-CssClass="GridCells">
                        <ItemTemplate><asp:LinkButton CausesValidation="false"  ID="lkUpdate" runat="server" Text="Edit" OnClick="lkUpdate_Edit">
                            </asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:CommandField ShowDeleteButton="True" ItemStyle-CssClass="GridCells"/>
                </Columns>
            </asp:GridView>
     </td></tr>
     
     <tr style="height:20"><td>&nbsp;</td></tr>
     
     <tr><td align="center" colspan="2"> <asp:Button ID="btnBack" runat="server" Text="Back" Width="81px" onclick="btnBack_Click" CausesValidation="false"/></td></tr>
     
</table>

</td></tr></table>
