﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.QuickOrderEntry.QuickOrderEntry, App_Web_quickorderentry.ascx.fa850494" %>
<link href="module.css" rel="stylesheet" type="text/css" />

<style type="text/css">
    .style1
    {
        height: 21px;
        width: 88px;
    }
    .style2
    {
        width: 88px;
    }
</style>

<asp:Panel runat="server" ID="pnlSubmit" DefaultButton="btnSearch">
<table runat="server" class="SmithProdText">
   <tr align="left" class="SmithProdText">
        <td style="height: 21px"><asp:Label ID="Label3" runat="server" resourcekey="Sku" style="font-weight: 700"/></td>
        <td width="20" style="height: 21px">&nbsp;</td>
        <td class="style1"><asp:Label ID="Label4" runat="server" resourcekey="Qty" style="font-weight: 700"/></td>
        <td width="20">&nbsp;</td>
        <td style="height: 21px"><asp:Label ID="lblQtyHdr" runat="server" style="font-weight: 700" /></td>
        <td align="left" style="height: 21px"><asp:Label ID="Label5" runat="server" resourcekey="Description"  style="font-weight: 700"/></td>
        
   </tr>
   <tr align="left" class="SmithProdText" runat="server">
        <td style="height: 120px;"><asp:TextBox runat="server" ID="txtSku" Width="100" 
                ontextchanged="txtSku_TextChanged" /><asp:Label ID="lblSku" runat="server" Visible="false"/></td>
        <td width="20">&nbsp;</td>
        <td><asp:TextBox runat="server" ID="txtQty" Width="60px" Visible="false" 
                ontextchanged="txtQty_TextChanged" />
                <asp:RegularExpressionValidator ID="regexQty" runat="Server" ErrorMessage="Only positive, whole numbers" Display="None" ControlToValidate="txtQty" ValidationExpression="^\d+$" />&nbsp;<asp:Label ID="lblQtyMsg" runat="server" Text="*" CssClass="SmithRequiredText" Visible="false"/></td>
                <td>&nbsp;</td>
        <td><asp:Label ID="lblQOH" runat="server" Text="" /></td>
        <td><asp:Label ID="lblDesc" runat="server"/></td>
        <td width="120"><asp:Image runat="server" ID="imgItem" /></td>
        <td>
            <asp:Button ID="btnSearch" runat="server" resourcekey="Search" onclick="btnSearch_Click" />
            <asp:Button ID="btnAddSku" runat="server" resourcekey="Add" onclick="btnAddSku_Click" Visible="false" />
            <asp:Button ID="btnCancel" runat="server" onclick="btnCancel_Click" Visible="false" Text="Cancel" />
        </td>
   </tr>
</table>
</asp:Panel>
   
<table runat="server" id="tbMain1">  
   <tr height="20"><td><asp:Label ID="lblMsg" runat="server" Visible="false" CssClass="SmithRequiredText"/></td></tr>
   <tr>
        <td>
            <asp:GridView ID="grdQuickEntry" runat="server" AutoGenerateColumns="false" OnRowCancelingEdit="grdQuickEntry_RowCancelingEdit"
                OnRowDeleting="grdQuickEntry_RowDeleting" 
                OnRowEditing="grdQuickEntry_RowEditing" OnRowUpdating="grdQuickEntry_RowUpdating" 
                OnRowDataBound="grdQuickEntry_RowDataBound" CssClass="cssMain" 
                CellPadding="5" ShowFooter="true" Width="100%" 
                onselectedindexchanged="grdQuickEntry_SelectedIndexChanged">
                <HeaderStyle CssClass="GridHeader" /> 
                <Columns>
                
                    <asp:TemplateField HeaderText="ProductID" Visible="false">
                        <ItemTemplate>
                            <asp:Label ID="lblProductID" runat="server" Text='<%#Eval("ProductID") %>' />
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Sku" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblSku" runat="server" Text='<%#Eval("ProductSku") %>' />
                        </ItemTemplate>
                    </asp:TemplateField>
                   
                    <asp:TemplateField HeaderText="Qty" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblQty" runat="server" Text='<%#Eval("Quantity") %>'></asp:Label>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox ID="txtQty" runat="server" Text='<%#Eval("Quantity") %>' Width="60px"></asp:TextBox>
                        </EditItemTemplate>
                    </asp:TemplateField>
                    
                     <asp:TemplateField HeaderText="Description" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblModelName" runat="server" Text='<%#Eval("ModelName") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Unit Price" >
                        <ItemTemplate>
                            <asp:label ID="lblPrice" runat="server" Text='<%# String.Format("{0:c}",Eval("UnitCost")) %>' />
                        </ItemTemplate>
                         <FooterTemplate>
                            <asp:label ID="lblTotalPrice" runat="server" Text="Total" />
                        </FooterTemplate>
                        <ItemStyle CssClass="GridCellsRight"></ItemStyle>
                    </asp:TemplateField>

                     <asp:TemplateField HeaderText="Line Total" >
                        <ItemTemplate>
                            <%--<asp:label ID="lblExtendedPrice" runat="server" Text='<%# String.Format("{0:c}",(decimal)Eval("Quantity") * (decimal)Eval("UnitCost")) %>' />--%>
                            <asp:label ID="lblExtendedPrice" runat="server" />

                        </ItemTemplate>
                         <FooterTemplate>
                            <asp:label ID="lblExtendedTotal" runat="server" />
                        </FooterTemplate>
                        <ItemStyle CssClass="GridCellsRight"></ItemStyle>
                        <FooterStyle CssClass="GridCellsRight"></FooterStyle>
                    </asp:TemplateField>
                    
                    <asp:CommandField ButtonType="Image" ShowEditButton="True" ItemStyle-CssClass="GridCells" EditImageUrl="~/DesktopModules/Smith.BuyNow/Images/edit.gif" UpdateImageUrl="~/DesktopModules/Smith.BuyNow/Images/update_btn2.gif" CancelImageUrl="~/DesktopModules/Smith.BuyNow/Images/cancel.gif" />
                    <asp:CommandField ButtonType="Image" ShowDeleteButton="True" ItemStyle-CssClass="GridCells" DeleteImageUrl="~/DesktopModules/Smith.BuyNow/Images/delete.png" />
                    <%--<asp:CommandField ShowEditButton="True" ItemStyle-CssClass="GridCells" />
                    <asp:CommandField ShowDeleteButton="True" ItemStyle-CssClass="GridCells" />--%>
                </Columns>
            </asp:GridView>
        </td>
    </tr>
    <tr height="20"><td></td></tr>
    <tr>
        <td align="center"><asp:ImageButton ID="ibAddtoCart" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/addtocart21.gif" runat="server" OnClick="ibAddtoCart_Click" Visible="false"/></td>
    </tr>
    <tr height="20"><td></td></tr>
    
</table>

<asp:HiddenField ID="hdSmithMemberPricing" runat="server" />
<asp:HiddenField ID="hdSmithDiscounts" runat="server" />
<asp:HiddenField ID="hdBuyNowTabID" runat="server" />