﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.BuyNowSettings, App_Web_buynowsettings.ascx.54f2e0e1" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>
<%@ Register TagPrefix="dnn" Assembly="DotNetNuke" Namespace="DotNetNuke.UI.WebControls"%>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke.WebControls" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>

<link href="module.css" rel="stylesheet" type="text/css" />

 
<%--<script language="javascript" type="text/javascript">
    function TaxAllChanged()
    {
        var taxAll = document.getElementById("<%=chkTaxAll.ClientID%>").checked;
        if (taxAll)
        {
            document.getElementById("<%=txtTaxRate.ClientID%>").disabled = false;
            document.getElementById("<%=chkTaxTables.ClientID%>").value = false;
            document.getElementById("<%=chkTaxTables.ClientID%>").disabled = true;
            document.getElementById("<%=ddlHomeState.ClientID%>").disabled = true;
            document.getElementById("<%=ddlHomeState.ClientID%>").value = '';
        }
        else
        {
            document.getElementById("<%=txtTaxRate.ClientID%>").value = '';
            document.getElementById("<%=txtTaxRate.ClientID%>").disabled = false;
            document.getElementById("<%=chkTaxTables.ClientID%>").value = false;
            document.getElementById("<%=chkTaxTables.ClientID%>").disabled = false;
            document.getElementById("<%=ddlHomeState.ClientID%>").disabled = false;
            document.getElementById("<%=ddlHomeState.ClientID%>").value = '';
        }
    }
    
    function TaxTablesChanged()
    {
        var taxTables = document.getElementById("<%=chkTaxTables.ClientID%>").checked;
        if (taxTables)
        {
            document.getElementById("<%=txtTaxRate.ClientID%>").disabled = true;
            document.getElementById("<%=chkTaxAll.ClientID%>").value = false;
            document.getElementById("<%=chkTaxAll.ClientID%>").disabled = true;
            document.getElementById("<%=txtTaxRate.ClientID%>").disabled = true;
            document.getElementById("<%=txtTaxRate.ClientID%>").value = '';
        }
        else
        {
            document.getElementById("<%=txtTaxRate.ClientID%>").disabled = false;
            document.getElementById("<%=chkTaxAll.ClientID%>").value = false;
            document.getElementById("<%=chkTaxAll.ClientID%>").disabled = false;
            document.getElementById("<%=txtTaxRate.ClientID%>").disabled = false;
            document.getElementById("<%=txtTaxRate.ClientID%>").value = '';
            document.getElementById("<%=ddlHomeState.ClientID%>").value = '';
        }
    }
</script> --%>

<asp:Label ID="lblMessage" runat="server" CssClass="SmithRedMsgBold"/><br />
<asp:ValidationSummary ID="ValidationSummary1" runat="server" />

<%-- Store Settings Section--%>
<dnn:sectionhead id="dshStoreSettings" runat="server" includerule="True" section="dvStoreSettings" cssclass="Head"  Text="General Store Setup"/>
<div id="dvStoreSettings" runat="server">

<table class="SmithProdText">
    <tr><td></td></tr>
    <tr>
        <td><dnn:Label ID="lblStoreName" runat="server"/></td>
        <td align="left"><asp:TextBox runat="Server" ID="txtStoreName" Width="200px" MaxLength="200" /></td>
    </tr> 
     <tr><td></td></tr>
    <tr>
        <td><dnn:Label ID="lblCountry" runat="server"/></td>
        <td align="left"><asp:DropDownList runat="server" ID="ddlCountry" Width="200px"  AutoPostBack="true" OnSelectedIndexChanged="ddlCountry_SelectedIndexChanged"/></td>
    </tr>
    <tr><td></td></tr>
    <tr>
        <td><dnn:Label ID="lblStoreStateRegion" runat="server"/></td>
        <td align="left">
            <asp:DropDownList runat="server" ID="ddlHomeState" Width="200px"></asp:DropDownList>
            <asp:TextBox ID="txtHomeState" runat="server" Visible="false" TabIndex="10" MaxLength="50"/>
        </td>
    </tr>
     <tr><td></td></tr>
    <tr>
        <td><dnn:Label ID="lblStorePostalCode" runat="server"/></td>
        <td align="left">
            <asp:TextBox ID="txtStoreZipCode" runat="server" MaxLength="10"/>&nbsp;&nbsp;
            <asp:RequiredFieldValidator ID="rfvStoreZip" runat="server" ErrorMessage="Postal Code Required" ControlToValidate="txtStoreZipCode"/>
        </td>
    </tr>
    <tr><td></td></tr>
    <tr>
        <td><dnn:Label ID="lblStoreCurrency" runat="server"/></td>
        <td align="left">
            <asp:DropDownList runat="server" ID="ddlStoreCurrency" Width="250px" >
                <asp:ListItem Value="en-US" Text="United States Dollar - $" />
                <asp:ListItem Value="en-AU" Text="Australian Dollar - $" />
                <asp:ListItem Value="nl-BE" Text="Belgium Euro - $" />
                <asp:ListItem Value="pt-BR" Text="Brazil Real - R$" />
                <asp:ListItem Value="en-CA" Text="Canada (English) Dollar - $" />
                <asp:ListItem Value="fr-CA" Text="Canada (French) Dollar - $" />
                <asp:ListItem Value="cs-CZ" Text="Czech Koruna - Kč" />
                <asp:ListItem Value="zh-cn" Text="China (Yuan Renminbi) - ¥" />
                <asp:ListItem Value="da-DK" Text="Danish Krones - K" />
                <asp:ListItem Value="fr-FR" Text="Euro - €" />
                <asp:ListItem Value="fr-FR" Text="France Euro - €" />
                <asp:ListItem Value="de-DE" Text="German Euro - €" />
                <asp:ListItem Value="zh-HK" Text="Hong Kong Dollar - $" />
                <asp:ListItem Value="hu-HU" Text="Hungary, Forint - Ft" />               
                <asp:ListItem Value="hi-IN" Text="India, Rupees - ₨" />
                <asp:ListItem Value="en-IE" Text="Ireland Euro - €" />
                <asp:ListItem Value="he-IL" Text="Israeli New Sheqel - ₪" />
                <asp:ListItem Value="it-IT" Text="Italy Euro - €" />
                <asp:ListItem Value="ja-jp" Text="Japanese Yen - ¥" />
                <asp:ListItem Value="ko-KR" Text="Korea Won" />
                <asp:ListItem Value="ms-MY" Text="Malaysia, Ringgits - RM" />
                <asp:ListItem Value="en-NZ" Text="New Zealand Dollar - $" />
                <asp:ListItem Value="nb-NO" Text="Norwegian Krones - kr" />
                <asp:ListItem Value="en-PH" Text="Philippines Pesos - Php" />
                <asp:ListItem Value="pl-PL" Text="Poland, Zlotych - zł" />
                <asp:ListItem Value="pt-PT" Text="Portugal Euros - €" />
                <asp:ListItem Value="ru-RU" Text="Russia Rubles - руб" />
                <asp:ListItem Value="ar-SA" Text="Saudi Arabia Riyals - ﷼" />
                <asp:ListItem Value="zh-SG" Text="Singapore Dollars - $" />
                <asp:ListItem Value="en-za" Text="South Africa Rand - R" />
                <asp:ListItem Value="es-MX" Text="Spanish (Mexico) Pesos - $" />
                <asp:ListItem Value="es-ES" Text="Spain Euros - €" />
                <asp:ListItem Value="sv-SE" Text="Swedish Krona - kr" />
                <asp:ListItem Value="fr-CH" Text="Switzerland Francs - sFr" />
                <asp:ListItem Value="de-LI" Text="Switzerland Francs (German)- CHF" />
                <asp:ListItem Value="zh-TW" Text="Taiwan, New Dollars" />
                <asp:ListItem Value="en-gb" Text="UK GBP - £" />
                <asp:ListItem Value="ar-AE" Text="United Arab Emirates - Dirham - د.إ." />
                <asp:ListItem Value="es-UY" Text="Uruguay Pesos - $U" />
                <asp:ListItem Value="vi-VN" Text="Vietnam, Dong - ₫" />
             </asp:DropDownList>
        </td>
    </tr>

    <tr><td></td></tr>  

    <tr>
        <td><dnn:Label ID="lblProductDetailPage" runat="server"/></td>
        <td align="left"><asp:DropDownList ID="ddlProductDetailPage" runat="server" DataValueField="TabId" DataTextField="TabName"/></td>
    </tr>  

    <tr><td></td></tr> 

    <tr>
        <td ><dnn:Label ID="lblButtonTheme" runat="server"/></td>
        <td align="left"><asp:DropDownList runat="server" ID="ddlTheme" DataValueField="ColorValue" DataTextField="Color"></asp:DropDownList></td>
    </tr>

    <tr><td></td></tr> 

    <tr>
        <td><dnn:Label ID="lblGoogleAnalyticsID" runat="server"/></td>
        <td align="left"><asp:TextBox runat="Server" ID="txtGoogleAnalyticsID" Width="200px" MaxLength="100" /></td>
    </tr>
    <tr><td></td></tr> 
     <tr>
        <td><dnn:Label ID="lblPortalShareType" runat="server"/></td>
         <td align="left" valign="top"><asp:DropDownList ID="ddlPortalSharing" runat="server">
                <asp:ListItem Text="-No Cross Portal Sharing-" Value="0" />
                <asp:ListItem Text="Master Portal" Value="MasterPortal" />
                <asp:ListItem Text="Child Portal" Value="ChildPortal" />
            </asp:DropDownList>
        </td>
    </tr>

    <tr><td style="height: 20">&nbsp;</td></tr>
 </table>
 </div>

 <%-- Payment Section--%>
<dnn:sectionhead id="dshPayment" runat="server" includerule="True" section="dvPaymentSection" isexpanded="False" cssclass="Head" Text="Payment Setup" />
<div id="dvPaymentSection" runat="server">
    <br /><br />
    <%--<asp:LinkButton ID="lbManagePayment" runat="server" onclick="lbManagePayment_Click" CausesValidation="false"  Text="Payment Gateways, Payment Methods, Payment Zones" />--%>
    <asp:Button ID="lbManagePayment" runat="server" onclick="lbManagePayment_Click" CausesValidation="false" Text="Payment Gateways / Payment Methods / Payment Zones" Height="30" />
    <br /><br /><br />
    
</div>

<%-- Shipping Section--%>
<dnn:sectionhead id="dshShippingSection" runat="server" includerule="True" section="dvShippingSection" isexpanded="False" cssclass="Head" Text="Shipping and Handling Setup "/>
<div id="dvShippingSection" runat="server">
<table class="SmithProdText" width="100%">
    <tr><td></td></tr>
    <tr style="height: 5"><td colspan="2"><asp:Label ID="Label8" runat="server" Text="(Please select a shipping method)" CssClass="SmithItalics"/></td></tr>
    <tr><td></td></tr>
    <tr>
        <td colspan="2" nowrap="nowrap" align="left">
            <asp:RadioButtonList ID="rblShipping" runat="server" onselectedindexchanged="rblShipping_SelectedIndexChanged" AutoPostBack="true" CssClass="SmithProdText">
                <asp:listitem id="optShipCalculator" runat="server" value="ShipCalculator" Text="Shipping Calculator (UPS, USPS, FedEx, Canada Post, Australia Post, Shipwire)"/>
                <%--<asp:listitem id="optZoneFixedAmount" runat="server" value="ZoneFixedAmount" Text="Zone Shipping with Fixed Amounts"/>--%>
                <asp:listitem id="optZoneByQuantity" runat="server" value="ZoneByQuantity" Text="Zone Shipping By Quantity"/>
                <asp:listitem id="optZoneByWeight" runat="server" value="ZoneByWeight" Text="Zone Shipping By Weight"/>
                <asp:listitem id="optCustomShipMethods" runat="server" value="CustomShipMethods" Text="Custom Ship Methods with Fixed Amounts"/>
                <asp:listitem id="optCustomShipMethodsByAmt" runat="server" value="CustomShipMethodsByAmt" Text="Custom Ship Methods By Order Amount"/>
                <asp:listitem id="optCustomShipMethodsByQuantity" runat="server" value="CustomShipMethodsByQuantity" Text="Custom Ship Methods By Quantity"/>
                <asp:listitem id="optCustomShipMethodsByWeight" runat="server" value="CustomShipMethodsByWeight" Text="Custom Ship Methods By Weight"/>
                <asp:listitem id="optCustomShipMethodsByZip" runat="server" value="CustomShipMethodsByZip" Text="Custom Ship Methods By Zip Code"/>
                <asp:listitem id="optShippingByOrderAmount" runat="server" value="ShippingByOrderAmount" Text="Shipping By Order Amount"/>
                <asp:listitem id="optProductLevelShipCosts" runat="server" value="ProductLevelShipping" Text="Product Level Shipping Costs"/>
                <asp:listitem id="optRequestShipQuote" runat="server" value="RequestShipQuote" Text="Request a Frieght Quote"/>
                <asp:listitem id="optFreeShipping" runat="server" value="FreeShipping" Text="Free Shipping"/>
            </asp:RadioButtonList>
        </td>
        <td align="left"><asp:RequiredFieldValidator ID="rfvShipping" runat="server" ErrorMessage="Shipping Method Required" ControlToValidate="rblShipping"/></td>
    </tr>
    <tr><td style="height: 7">&nbsp;</td></tr>
    <tr runat="server" id="trShipCalculatorFields"><td colspan="2">
        <table class="SmithProdText" >
            <tr>
                <td align="left" width="70px"><dnn:Label ID="lblCarrier" runat="server"/></td>
                <td align="left"><asp:DropDownList ID="ddlCarrier" runat="server" Width="130px" OnSelectedIndexChanged="ddlCarrier_SelectedIndexChanged" AutoPostBack="true">
                        <asp:ListItem Text="-Select-" Value="0" />
                        <asp:ListItem Text="USPS" Value="USPS" />
                        <asp:ListItem Text="UPS" Value="UPS" />
                        <asp:ListItem Text="FedEx" Value="FedEx" />
                        <asp:ListItem Text="Canada Post" Value="CanadaPost" />
                        <asp:ListItem Text="Australia Post" Value="AustraliaPost" />
                        <asp:ListItem Text="Shipwire" Value="Shipwire" />
                    </asp:DropDownList>
                </td>
            </tr>
            
            <tr id="trCanadaPostID" runat="server" visible="false">
                <td align="left" nowrap="nowrap"><dnn:Label ID="lblCanadaPostMerchantCPCID" runat="server"/></td>
                <td align="left"><asp:TextBox ID="txtCPCID" runat="server" Width="220" /></td>
            </tr>
            <tr id="trShipAccountInfo" runat="server" visible="false"><td colspan="2">
                <table class="SmithProdText">
                    <tr>
                        <td align="left"><dnn:Label ID="lblShipAccountUID" runat="server"/></td>
                        <td align="left"><asp:TextBox ID="txtFedExAccount" runat="server" Width="220" /></td>
                    </tr>
                     <tr>
                        <td align="left"><dnn:Label ID="lblShipAccountPWD" runat="server"/></td>
                        <td align="left" valign="top"><asp:TextBox ID="txtFedExMeter" runat="server" Width="220" /></td>
                    </tr>
                     <tr id="trShipPassword" runat="server" visible="false">
                        <td align="left"><dnn:Label ID="lblFedExPassword" runat="server" Text="Password:"/></td>
                        <td align="left"><asp:TextBox ID="txtShipPassword" runat="server" Width="220" /></td>
                    </tr>
                     <tr id="trShipKey" runat="server" visible="false">
                        <td align="left"><dnn:Label ID="lblShipKey" runat="server" Text="Key:"/></td>
                        <td align="left" valign="top"><asp:TextBox ID="txtShipKey" runat="server" Width="220" /></td>
                    </tr>
                    <tr>
                        <td align="left"><dnn:Label ID="lblShipCalculatorTestMode" runat="server" /></td>
                        <td align="left" valign="top"><asp:CheckBox ID="chkShipCalculatorTestMode" runat="server"/></td>
                    </tr>
                </table></td>
            </tr>
            <tr><td style="height: 7">&nbsp;</td></tr>

             <tr id = "trUPSShipMethods" runat="server"><td colspan="2">
                <table class="SmithProdText">
                    <tr>
                        <td align="left">
                            <asp:Label ID="Label17" runat="server" Text="Ship Methods:" CssClass="SmithProdText"/><br />
                            <asp:ListBox ID="lstFromShipMethods" runat="server" SelectionMode="Multiple" Width="200px" Height="120px" />
                        </td>
                        <td width="10px"></td>
                        <td>
                            <asp:Button ID="btnAddShipMethod" runat="server" Text=">>"  Width="50px" OnClick="btnAddShipMethod_Click" CausesValidation="false"/><br />
                            <asp:Button ID="btnRemoveShipMethod" runat="server" Text="<<" Width="50px" OnClick="btnRemoveShipMethod_Click" CausesValidation="false" /> <br />    
                        </td>
                        <td width="10px"></td>
                        <td align="left">
                            <asp:Label ID="Label19" runat="server" Text="Selected Ship Methods:" CssClass="SmithProdText"/><br />
                            <asp:ListBox ID="lstToShipMethods" runat="server" SelectionMode="Multiple" Width="200px" Height="120px" />
                            <asp:ImageButton ID="ibShipMethodAsc" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/ico_asc.gif" ImageAlign="Top" OnClick="ibShipMethodAsc_Click" />
                            <asp:ImageButton ID="ibShipMethodDesc" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/ico_desc.gif" ImageAlign="Top" OnClick="ibShipMethodDesc_Click" />
                        </td>
                    </tr>
                    <tr><td>&nbsp;</td></tr>
                </table>
            </td></tr>

            <tr><td>&nbsp;</td></tr>
            
            <tr>
                <td><dnn:Label ID="lblAddressType" runat="server"/></td>
                <td align="left">
                    <asp:RadioButtonList ID="rblAddressClass" runat="server" CssClass="SmithProdText" DataValueField="optAuto">
                        <asp:listitem id="optAuto" runat="server" value="Auto" Text="Auto" Selected="True"/>
                        <asp:listitem id="optResidentual" runat="server" value="Residentual" Text="Residentual"/>
                        <asp:listitem id="optCommercial" runat="server" value="Commercial" Text="Commercial" />
                    </asp:RadioButtonList>
                </td>
            </tr>
    
            <tr><td></td></tr>
            
            <tr>
                <td><dnn:Label ID="lblWeightUOE" runat="server"/></td>
                <td align="left"><asp:DropDownList ID="ddlWeightUOE" runat="server">
                        <asp:ListItem Text="-Select-" Value="0" />
                        <asp:ListItem Text="Ounces" Value="Ounces" />
                        <asp:ListItem Text="Pounds" Value="Pounds" />
                        <asp:ListItem Text="Grams" Value="Grams" />
                    </asp:DropDownList>
                </td>
            </tr>

            <tr><td></td></tr>

             <tr id="trUPSPackageType" runat="server" visible="false">
                <td nowrap="nowrap"><dnn:Label ID="lblUPSPackageType" runat="server"/></td>
                 <td align="left"><asp:DropDownList ID="ddlUPSPackageType" runat="server">
                        <asp:ListItem Text="-Select-" Value="None" />
                        <asp:ListItem Text="Unknown" Value="00" />
                        <asp:ListItem Text="UPS Letter" Value="01" />
                         <asp:ListItem Text="Package" Value="02" />
                        <asp:ListItem Text="Tube" Value="03" />
                         <asp:ListItem Text="Pak" Value="04" />
                        <asp:ListItem Text="Express Box" Value="21" />
                         <asp:ListItem Text="25kg Box" Value="24" />
                        <asp:ListItem Text="10kg Box" Value="25" />
                         <asp:ListItem Text="Pallet" Value="30" />
                        <asp:ListItem Text="Small Express Box" Value="2a" />
                         <asp:ListItem Text="Medium Express Box" Value="2b" />
                        <asp:ListItem Text="Large Express Box" Value="2c" />
                    </asp:DropDownList>
                </td>
            </tr>

            <tr><td></td></tr>

            <tr id="trMaxPackageWeight" runat="server" visible="false">
                <td nowrap="nowrap"><dnn:Label ID="lblMaxPackageWeight1" runat="server"/></td>
                <td align="left"><asp:TextBox runat="server" ID="txtMaxPackageWeight" MaxLength="7"/></td>
            </tr>
    
            <tr id="trMaxPackageWeightCV" runat="server" visible="false"><td>
                <asp:RequiredFieldValidator ID="rfvMaxPackageWeight" runat="Server" ControlToValidate="txtMaxPackageWeight" ErrorMessage="Max Package Weight Required." Display="dynamic" Enabled="false" /><br />
                <asp:CompareValidator ID="cvMaxPackageWeight" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtMaxPackageWeight" Operator="DataTypeCheck" Type="Double" Enabled="false"/>
            </td></tr>
            
            <tr id="trEnableDropShipRule" runat="server" visible="false">
                <td nowrap="nowrap"><dnn:Label ID="lblEnableDropShipRule" runat="server"/></td>
                <td align="left"><asp:CheckBox ID="chkEnableDropShipRule" runat="server"/></td>
            </tr>

            <tr><td></td></tr>

            <tr>
                <td nowrap="nowrap"><dnn:Label ID="lblCombineShippingMethods" runat="server"/></td>
                <%--<td align="left"><asp:CheckBox ID="chkCombineShipMethods" runat="server"/></td>--%>
                <td align="left">
                    <asp:RadioButtonList ID="rblCombineShipMethods" runat="server" CssClass="SmithProdText" DataValueField="optNoCombine">
                        <asp:listitem id="optNoCombine" runat="server" value="NoCombine" Text="Do Not Combine Ship Methods" Selected="True"/>
                        <asp:listitem id="optCombineSortTop" runat="server" value="CombineSortTop" Text="Combine Ship Methods - Sort Top"/>
                        <asp:listitem id="optCombineSortBottom" runat="server" value="CombineSortBottom" Text="Combine Ship Methods - Sort Bottom" />
                    </asp:RadioButtonList>
                </td>
            </tr>

     </table>
   </td>
 </tr>
 </table>
 
 <table class="SmithProdText" width="450px">
    <tr><td style="height: 14">&nbsp;</td></tr>
    <tr id="trFreeShipforOrdersOverX" runat="server" align="left">
        <td nowrap="nowrap" align="left"><dnn:Label ID="lblFreeShipforOrdersOverX" runat="server"/></td>
        <td align="left"><asp:TextBox runat="server" ID="txtFreeShipOrderAmount" MaxLength="7"/></td>
    </tr>
    <tr><td style="height: 20" colspan="2"><asp:CompareValidator ID="cvFreeShipDollars" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtFreeShipOrderAmount" Operator="DataTypeCheck" Type="Double"/></td></tr>
    
    <tr id="trShowCustomShipMethodsStep1" runat="server" visible="false">
        <td><dnn:Label ID="lblShowCustomShipMethodsStep1" runat="server"/></td>
        <td><asp:CheckBox ID="chkShowCustomShipMethodsStep1" runat="server" /></td>
    </tr>
 </table>

 <table id="trShipTaxCalc" runat="server" class="SmithProdText">
    <tr><td style="height: 10">&nbsp;</td></tr>
    <tr><td class="SmithTitle"><dnn:Label ID="lblShipTaxCalculation" runat="server"/></td></tr>
    <tr style="height: 5"><td><asp:Label ID="Label18" runat="server" Text="(Please select a shipping tax calculation)" CssClass="SmithItalics"/></td></tr>
    <tr><td></td></tr>
    <tr>
        <td>
            <asp:RadioButtonList ID="rblShippingTax" runat="server" CssClass="SmithProdText">
                <asp:listitem id="optTaxShippingAlways" runat="server" value="TaxShippingAlways" Text="Tax shipping always" Selected="True"/>
                <asp:listitem id="optTaxShippingNever" runat="server" value="TaxShippingNever" Text="Never tax shipping"/>
                <asp:listitem id="optTaxShippingProducts" runat="server" value="TaxShippingProducts" Text="Tax shipping only for taxable products" />
            </asp:RadioButtonList>
            <%--<asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ErrorMessage="Please select a shipping tax option" ControlToValidate="rblShippingTax"></asp:RequiredFieldValidator>--%>
        </td>
    </tr>
</table>

 <table class="SmithProdText">
    <tr><td style="height: 10">&nbsp;</td></tr>
    <tr><td colspan="2" class="SmithTitle">Handling Setup</td></tr>
    <tr><td></td></tr>
    <tr>
        <td><dnn:Label ID="lblHandlingCharge" runat="server"/></td>
        <td><asp:TextBox ID="txtHandlingCharge" runat="server" MaxLength="5"/></td>
    </tr>
    <tr>
        <td><dnn:Label ID="lblInternationalHandling" runat="server"/></td>
        <td><asp:TextBox ID="txtInternationalHandling" runat="server" MaxLength="5"/></td>
    </tr>
    <tr style="height: 5"><td>&nbsp;</td></tr>
</table>

<table class="SmithProdText">
    <tr>
        <td><dnn:Label ID="lblCombineShipHandling" runat="server"/></td>
        <td><asp:CheckBox ID="chkCombineSH" runat="server" /></td>
    </tr>
    <tr>
        <td><dnn:Label ID="lblChargeHandlingSelectedProductsOnly" runat="server"/></td>
        <td valign="top"><asp:CheckBox ID="chkChrgHndlngSelProd" runat="server" /></td>
    </tr>
     <tr>
        <td><dnn:Label ID="lblTaxHandling" runat="server"/></td>
        <td><asp:CheckBox ID="chkTaxHandling" runat="server" /></td>
    </tr>
    <tr><td style="height: 25">&nbsp;</td></tr>
 </table>

 </div>

 <%-- Tax Section--%>
<dnn:sectionhead id="dshTaxSection" runat="server" includerule="True" section="dvTaxSection" isexpanded="False" cssclass="Head" Text="Tax Setup"/>
<div id="dvTaxSection" runat="server">
 <table class="SmithProdText">
    <tr style="height: 5"><td><asp:Label ID="Label9" runat="server" Text="(Please select a tax method)" CssClass="SmithItalics"/></td></tr>
    <tr><td></td></tr>
     <%--<asp:UpdatePanel runat="server" ID="UpdatePanel3" >
        <Triggers>
            <asp:PostBackTrigger ControlID="rblTax" />
        </Triggers>
        <ContentTemplate>--%>
    <tr>
        <td colspan="2">
            <asp:RadioButtonList ID="rblTax" runat="server" CssClass="SmithProdText" onselectedindexchanged="rblTax_SelectedIndexChanged" AutoPostBack="true" >
                <asp:listitem id="optTaxAll" runat="server" value="TaxAll" Text="Flat Tax All Orders" Selected="True"/>
                <asp:listitem id="optTaxHome" runat="server" value="TaxHome" Text="Flat Tax States in Taxable States List"/>
                <asp:listitem id="optTaxHomeCountry" runat="server" value="TaxHomeCountry" Text="Flat Tax Home Country"/>
                <asp:listitem id="optTaxTables" runat="server" value="TaxTable" Text="Use Tax Tables" />
                <asp:listitem id="optHST" runat="server" value="HST" Text="HST (Canada)" />
                <asp:listitem id="optGSTPST" runat="server" value="GSTPST" Text="GST/PST" />
                <asp:listitem id="optVATProdInclusive" runat="server" value="VATProdInclusive" Text="VAT/GST (Product Inclusive)" />
                <asp:listitem id="optEUVAT" runat="server" value="EUVAT" Text="Apply EU VAT Regulations" />
                <asp:listitem id="optEUVATByProduct" runat="server" value="EUVATBYPRODUCT" Text="Apply EU VAT Regulations By Product" />
                <asp:listitem id="optZip2Tax" runat="server" value="Zip2Tax" Text="Zip2Tax Real Time Tax Calculation" />
                <asp:listitem id="optNoTax" runat="server" value="NoTax" Text="No Tax" />
            </asp:RadioButtonList>
            <%--<asp:RequiredFieldValidator ID="rfvTax" runat="server" ErrorMessage="Please select a tax option" ControlToValidate="rblTax"></asp:RequiredFieldValidator>--%>
        </td>
    </tr>
    <tr><td style="height: 5"></td></tr>

    <tr id="trZip2TaxUID" runat="server" visible="false">
        <td><dnn:Label ID="lblZip2TaxUID" runat="server"/></td>
        <td><asp:TextBox ID="txtZip2TaxUID" runat="server" Width="150" /></td>
    </tr>
    <tr id="trZip2TaxPWD" runat="server" visible="false">
        <td><dnn:Label ID="lblZip2TaxPWD" runat="server"/></td>
        <td><asp:TextBox ID="txtZip2TaxPWD" runat="server" Width="150" /></td>
    </tr>
    <tr runat="server" id="trZip2TaxSpacer" visible="false"><td colspan="2">&nbsp;</td></tr>

    <tr id = "trTaxStates" runat="server" visible="false"><td colspan="2">
        <table class="SmithProdText">
            <tr>
                <td >
                    <asp:Label ID="lblStatesFrom" runat="server" Text="States" CssClass="SmithProdText"/><br />
                    <asp:ListBox ID="lstFromStates" runat="server" SelectionMode="Multiple" Width="200px" Height="120px" />
                </td>
                <td width="10px"></td>
                <td>
                    <asp:Button ID="btnAddState" runat="server" Text=">>"  Width="50px" OnClick="btnAddState_Click" CausesValidation="false"/><br />
                    <asp:Button ID="btnRemoveState" runat="server" Text="<<" Width="50px" OnClick="btnRemoveState_Click" CausesValidation="false" /> <br />    
                </td>
                <td width="10px"></td>
                <td>
                    <asp:Label ID="lblStatesTo" runat="server" Text="Taxable States" CssClass="SmithProdText"/><br />
                    <asp:ListBox ID="lstToStates" runat="server" SelectionMode="Multiple" Width="200px" Height="120px" />
                </td>
            </tr>
            <tr><td>&nbsp;</td></tr>
        </table>
    </td></tr>
     <%--  </ContentTemplate>
    </asp:UpdatePanel>--%>
</table>
    
<table class="SmithProdText" runat="server" id="trUseStep1DDTax" visible="false">
    <tr> 
        <td><dnn:Label ID="Label3" runat="server" Text="Use Step1 Dropdown List in Tax Lookup:" HelpKey="UseStep1DDTaxHelp"/></td>
        <td valign="top"><asp:CheckBox ID="chkUseStep1DDTax" runat="server" /></td>
    </tr>
    <tr><td></td></tr>
</table>
    
<table class="SmithProdText" runat="server" id="tblTax">
    <tr runat="server" id="trTaxRate">
        <td nowrap="nowrap"><dnn:Label ID="lblTaxRate" runat="server"/></td>
        <td align="left"><asp:TextBox ID="txtTaxRate" runat="server" MaxLength="8" Width="75"/>
            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ErrorMessage="Tax Required" ControlToValidate="txtTaxRate"/>
            <asp:CompareValidator ID="cvTaxRate" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtTaxRate" Operator="DataTypeCheck" Type="Double"></asp:CompareValidator>
        </td>
    </tr>
    <%--<tr><td colspan="2"><asp:CheckBox ID="chkEnableVAT" runat="server" oncheckedchanged="chkEnableVAT_CheckedChanged" Visible="false"/></td></tr>--%>
    
    <tr><td style="height: 5"></td></tr>
    
     <tr id="trVAT" runat="server" visible="false" >
        <td><dnn:Label ID="lblVATGST" runat="server"/></td>
        <td align="left"><asp:DropDownList runat="server" ID="ddlVATGST">
                <asp:ListItem Text="VAT" Value="VAT" />
                <asp:ListItem Text="GST" Value="GST" />
            </asp:DropDownList>
        </td>
    </tr>
    <tr><td style="height: 5"></td></tr>
    <tr runat="server" id="trTaxExemptCB" visible="false">
        <td><dnn:Label ID="lblEnableTaxExemptbyRoleCB" runat="server"/></td>
        <td align="left" valign="top"><asp:CheckBox ID="chkEnableTaxExemptByRole" runat="server" oncheckedchanged="chkEnableTaxExemptByRole_CheckedChanged" AutoPostBack="True"/></td>
    </tr>
    
    <tr runat="server" id="trTaxExempt" visible="false">
        <td><dnn:Label ID="lblEnableTaxExemptbyRoleDD" runat="server"/></td>
        <td align="left" ><asp:CheckBoxList ID="chkTaxExemptRole" runat="server" /></td>
    </tr>
    <tr id="trTaxRegNbr" runat="server" visible="false">
        <td><dnn:Label ID="lblTaxRegNbr" runat="server"/></td>
        <td align="left"><asp:TextBox ID="txtTaxRegNbr" runat="server" Width="150" /></td>
    </tr>
    <tr style="height: 25"><td>&nbsp;</td></tr>
</table>

<table class="SmithProdText" runat="server" id="tblEUVAT" visible="false">
    <tr>
        <td>Business registered country:&nbsp;&nbsp;
            <asp:DropDownList ID="ddlEUVATBusinessCountry" runat="server" Width="250px" DataSourceID="europeanCountryListXmlDataSource"
                DataTextField="text" DataValueField="value">
            </asp:DropDownList>
            <asp:XmlDataSource ID="europeanCountryListXmlDataSource" runat="server" DataFile="Xml/EuropeanCountryList.xml" EnableViewState="False"></asp:XmlDataSource>
        </td>
    </tr>
    
    <tr><td style="height: 5"></td></tr>

    <tr>
        <td>Allow VAT exempt selection:&nbsp;&nbsp;
            <asp:CheckBox ID="chkEUVATAllowVATExempt" runat="server" AutoPostBack="false"/>
        </td>
    </tr>
    
    <tr><td style="height: 5"></td></tr>

    <tr>
        <td>Online VAT Id validation:&nbsp;&nbsp;
            <asp:CheckBox ID="chkEUVATOnlineVATCheck" runat="server" AutoPostBack="false"/>
        </td>
    </tr>
    <tr><td style="height: 5"></td></tr>
    <tr>
        <td>Prices input include VAT:&nbsp;&nbsp;
            <asp:CheckBox ID="chkEUVATInputPricesVATInc" runat="server" AutoPostBack="false"/>
        </td>
    </tr>
    
   <tr><td style="height: 5"></td></tr>

    <tr>
        <td>Prices VAT display options:<br />
            <asp:RadioButtonList ID="rblEUVATPriceShowOption" runat="server">
                <asp:listitem id="optPriceWVAT" runat="server" value="1" Text="Show prices with VAT included"/>
                <asp:listitem id="optPriceWoVAT" runat="server" value="2" Text="Show prices without VAT"/>
                <asp:listitem id="optPriceWWVAT" runat="server" value="3" Text="Show prices with and without VAT included" Selected="True"/>
            </asp:RadioButtonList>
        </td>
    </tr>
    <tr><td style="height: 5"></td></tr>
    <tr>
        <td>VAT Rate:&nbsp;&nbsp;
            <asp:TextBox ID="txtEUVATRate" runat="server" MaxLength="5"/>&nbsp;&nbsp;<asp:Label ID="Label26" runat="server" Text="(8.25% is entered as 8.25)" CssClass="SmithItalics"/>
            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ErrorMessage="Tax Required" ControlToValidate="txtEUVATRate"/>
            <asp:CompareValidator ID="CompareValidator4" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtEUVATRate" Operator="DataTypeCheck" Type="Double"></asp:CompareValidator>
        </td>
    </tr>
    <tr style="height: 25"><td>&nbsp;</td></tr>
</table>
<table class="SmithProdText" runat="server" id="tblEUVATShippingRate" visible="false">
    <tr><td style="height: 5"></td></tr>

    <tr>
        <td>VAT rate for shipping:&nbsp;&nbsp;
            <asp:CheckBox ID="chkEUVATRateForShippingSet" runat="server" AutoPostBack="false"/>
        </td>
    </tr>
    <tr><td style="height: 5"></td></tr>
    <tr>
        <td>VAT Rate for shipping:&nbsp;&nbsp;
            <asp:TextBox ID="txtEUVATRateForShipping" runat="server" MaxLength="5"/>&nbsp;&nbsp;<asp:Label ID="Label1" runat="server" Text="(8.25% is entered as 8.25)" CssClass="SmithItalics"/>
            <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ErrorMessage="Tax Required" ControlToValidate="txtEUVATRateForShipping"/>
            <asp:CompareValidator ID="CompareValidator5" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtEUVATRateForShipping" Operator="DataTypeCheck" Type="Double"></asp:CompareValidator>
        </td>
    </tr>
    <tr style="height: 25"><td>&nbsp;</td></tr>
    </table>
  
</div>

<%-- Email Setup Section--%>
<dnn:sectionhead id="dshEmail" runat="server" includerule="True" section="dvEmailSection" isexpanded="False" cssclass="Head" Text="Email Setup"/>
<div id="dvEmailSection" runat="server">
<table class="SmithProdText">
    <tr><td>&nbsp;</td></tr>
    <tr>
        <td><dnn:Label ID="lblStoreToEmail" runat="server"/></td>
        <td align="left"><asp:TextBox ID="txtSendToEmail" runat="server" Width="220" />&nbsp;&nbsp;
            <asp:RequiredFieldValidator ID="rfvSendToEmail" runat="server" ErrorMessage="Email Required" ControlToValidate="txtSendToEmail"/>
            <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ControlToValidate="txtSendFromEmail"
                     ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ErrorMessage="Invalid Email" ForeColor="Red" Display="Dynamic" />
        </td>
    </tr>
    <tr><td style="height: 5"></td></tr>
    <tr>
        <td><dnn:Label ID="lblStoreFromEmail" runat="server"/></td>
        <td align="left"><asp:TextBox ID="txtSendFromEmail" runat="server" Width="220" />&nbsp;&nbsp;
            <asp:RequiredFieldValidator ID="rfvSendFromEmail" runat="server" ErrorMessage="Email Required" ControlToValidate="txtSendFromEmail"></asp:RequiredFieldValidator>
            <asp:RegularExpressionValidator ID="RegularExpressionValidator3" runat="server" ControlToValidate="txtSendFromEmail"
                     ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ErrorMessage="Invalid Email" ForeColor="Red" Display="Dynamic" />
        </td>
    </tr>
    <tr><td style="height: 5"></td></tr>
    <tr style="height: 20"> 
        <td><dnn:Label ID="lblThirdPartyCC" runat="server"/></td>
        <td align="left"><asp:CheckBox ID="chkThirdPartyCC" runat="server" AutoPostBack="true" OnCheckedChanged="chkThirdPartyCC_OnCheckedChanged" Checked="false" /></td>
    </tr>
</table>

<table class="SmithProdText">
    <tr id="trThirdPartyEmail" runat="server" visible="false" >
        <td nowrap="nowrap"><dnn:Label ID="lblThirdPartyEmail" runat="server"/></td>
        <td align="left">
            <asp:TextBox ID="txtThirdPartyEmail" runat="server" Width="220" />&nbsp;&nbsp;
            <asp:RegularExpressionValidator ID="valValidEmail" runat="server" ControlToValidate="txtThirdPartyEmail"
                   ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ErrorMessage="Invalid Email" ForeColor="Red" Display="Dynamic" />
        </td>
    </tr>
    <tr><td style="height: 5"></td></tr>
</table>
<table class="SmithProdText">
    <tr>
        <td nowrap="nowrap"><dnn:Label ID="lblEmailProductDescription" runat="server"/></td>
        <td align="left"><asp:CheckBox ID="chkEmailDescription" runat="server" /></td>
    </tr>
    <tr><td style="height: 5"></td></tr>
    <tr>
        <td><dnn:Label ID="lblEmailDownloadLink" runat="server"/></td>
        <td align="left"><asp:CheckBox ID="chkEmailLink" runat="server" /></td>
    </tr>
    <tr><td style="height: 5"></td></tr>
    <tr>
        <td nowrap="nowrap"><dnn:Label ID="lblEmailManufacturer" runat="server"/></td>
        <td align="left"><asp:CheckBox ID="chkEmailManufacturer" runat="server" /></td>
    </tr>

    <tr><td style="height: 5"></td></tr>
    <tr>
        <td nowrap="nowrap"><dnn:Label ID="lblDisableUserEmail" runat="server"/></td>
        <td align="left"><asp:CheckBox ID="chkDisableUserEmail" runat="server" /></td>
    </tr>

    <tr><td style="height: 5"></td></tr>
    <tr>
        <td nowrap="nowrap"><dnn:Label ID="lblDisableAdminEmail" runat="server"/></td>
        <td align="left"><asp:CheckBox ID="chkDisableAdminEmail" runat="server" /></td>
    </tr>

    <tr><td style="height: 20">&nbsp;</td></tr>
</table>
</div>

<%-- Product Listing Page Section--%>
<dnn:sectionhead id="dshProductListSetup" runat="server" includerule="True" section="dvProductListSection" isexpanded="False" cssclass="Head" Text="Product Listing Page Setup"/>
<div id="dvProductListSection" runat="server">
<table class="SmithProdText"> 
      <tr style="height: 5"><td>&nbsp;</td></tr>
    <tr align="left">
        <td valign="top"><dnn:Label ID="lblDefaultCategory" runat="server"/></td>
        <td valign="top" align="left"><asp:DropDownList ID="ddlCategory" runat="server"></asp:DropDownList></td>
    </tr>
    <tr><td> </td> </tr>
    <tr>
        <td><dnn:Label ID="lblProductCatalogColumns" runat="server"/></td>
        <td align="left">
            <asp:DropDownList runat="server" ID="ddlProductCatalogColumns" Width="40px">
                <asp:ListItem Text="1" Value="1" />
                <asp:ListItem Text="2" Value="2" />
                <asp:ListItem Text="3" Value="3" />
                <asp:ListItem Text="4" Value="4" />
            </asp:DropDownList>
        </td>
    </tr>
    <tr> <td> </td> </tr>
    <tr>
        <td><dnn:Label ID="lblProductListDirection" runat="server"/></td>
        <td align="left">
            <asp:DropDownList runat="server" ID="ddlProductListDirection">
                <asp:ListItem Text="Horizontal" Value="Horizontal" />
                <asp:ListItem Text="Vertical" Value="Vertical" />
            </asp:DropDownList>
            
        </td>
    </tr>
    <tr> 
        <td colspan="2">
            <asp:Label ID="Label16" runat="server" CssClass="SmithItalics" Text="Only applies if Product Catalog Columns > 1 above"/>
        </td>
    </tr>
    <tr style="height: 8"><td>&nbsp;</td></tr>
    <tr> 
        <td><dnn:Label ID="lblPLThumbWidth" runat="server"/></td>
        <td align="left"> 
             <asp:TextBox ID="txtThumbWidth" runat="server" Width="54px"/>&nbsp;&nbsp;
             <asp:CompareValidator ID="cvWidth" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtThumbWidth" Operator="DataTypeCheck" Type="Integer"/> 
        </td> 
    </tr>
    
     <tr align="left">
        <td align="left"><dnn:Label ID="lblPLThumbHeight" runat="server"/></td>
        <td align="left">
            <asp:TextBox ID="txtThumbHeight" runat="server" Width="54px"/>&nbsp;&nbsp;
            <asp:CompareValidator ID="cvHeight" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtThumbHeight" Operator="DataTypeCheck" Type="Integer"/>
        </td>
    </tr>

    <tr><td style="height: 5">&nbsp;</td></tr>

    <tr><td><asp:Label ID="Label14" runat="server" Text="Search and Sort Bar" CssClass="SmithTitle"/></td></tr>

    <tr align="left">
        <td colspan="2"  align="left">
            <asp:RadioButtonList ID="rblSearchBar" runat="server" CssClass="SmithProdText">
                <asp:listitem id="optNoBar" runat="server" value="NoBar" Text="Hide Search and Sort" Selected="True"/>
                <asp:listitem id="optSearchBar" runat="server" value="SearchBar" Text="Show Search Bar Only"/>
                <asp:listitem id="optSortBar" runat="server" value="SortBar" Text="Show Sort Bar Only"/>
                <asp:listitem id="optBothSearchSort" runat="server" value="BothSearchSort" Text="Show Both Search and Sort Bar" />
            </asp:RadioButtonList>
            <%--<asp:RequiredFieldValidator ID="rfvSearchSort" runat="server" ErrorMessage="Please select a tax option" ControlToValidate="rblTax"></asp:RequiredFieldValidator>--%>
        </td>
    </tr>
    
    <tr style="height: 5"><td>&nbsp;</td></tr>

    <tr><td><asp:Label ID="Label15" runat="server" Text="Records Selector" CssClass="SmithTitle"/></td></tr>

     <tr align="left">
        <td colspan="2"  align="left">
            <asp:RadioButtonList ID="rblRecordsDropdown" runat="server" CssClass="SmithProdText">
                <asp:listitem id="optNoRecordsDropdown" runat="server" value="NoRecordDropdown" Text="Hide Records Dropdown" Selected="True"/>
                <asp:listitem id="optShowRecordsDropdown" runat="server" value="ShowRecordDropdown" Text="Show Records Dropdown"/>
                <asp:listitem id="optAllProductsSinglePage" runat="server" value="AllProductSinglePage" Text="Show All Products on Single Page"/>
                <asp:listitem id="optAllProductsSinglePageCats" runat="server" value="AllProductSinglePageCats" Text="Show All Products on Single Page with Categories"/>
            </asp:RadioButtonList>
        </td>
    </tr>
    
    <tr style="height: 2"><td>&nbsp;</td></tr>
   
    <tr id="trRecordDropdownValues" runat="server" visible="true" >
        <td><dnn:Label ID="lblRecordDropdownValues" runat="server"/></td>
        <td align="left">
            <asp:TextBox ID="txtRecordDropdownValues" runat="server" Width="200" /><br />
            <asp:Label ID="Label20" runat="server" CssClass="SmithItalics" Text="(Enter a comma seperated list of numbers)"/>   
        </td>
    </tr>

    <tr style="height: 5"><td>&nbsp;</td></tr>
    
    <tr><td><asp:Label ID="Label21" runat="server" Text="Show Fields" CssClass="SmithTitle"/></td></tr>

    <tr>
        <td><dnn:Label ID="lblShowCategoryDescription" runat="server"/></td>
        <td align="left"><asp:CheckBox runat="server" ID="chkShowCatDescription" /></td>
    </tr>
    
    <tr>
        <td><dnn:Label ID="lblShowProductSummary" runat="server"/></td>
        <td align="left"><asp:CheckBox runat="server" ID="chkShowPLSummary" /></td>
    </tr>
    
    <tr>
        <td><dnn:Label ID="lblShowProductRating" runat="server"/></td>
        <td align="left"><asp:CheckBox runat="server" ID="chkShowPLRating" /></td>
    </tr>
    
     <tr>
        <td><dnn:Label ID="lblShowSoldOutMessage" runat="server"/></td>
        <td align="left"><asp:CheckBox runat="server" ID="chkShowSoldOut" /></td>
    </tr>

     <tr>
        <td><dnn:Label ID="lblShowInStockMessage" runat="server"/></td>
        <td align="left"><asp:CheckBox runat="server" ID="chkShowInStockMsg" /></td>
    </tr>
    
    <tr>
        <td><dnn:Label ID="lblPLShowCoupon" runat="server"/></td>
        <td align="left"><asp:CheckBox runat="server" ID="chkShowCouponPL" oncheckedchanged="chkShowCouponPL_CheckedChanged" AutoPostBack="True"/></td>
    </tr>
    
    <tr runat="server" id="trShowCouponLabelPL" visible="false">
        <td>Coupon Label:</td>
        <td align="left"><asp:TextBox runat="server" ID="txtCouponLabelPL" MaxLength="100" Width="200" /></td>
    </tr>
    
    <tr runat="server" id="trEnableCouponValidationPL" visible="false">
        <td><dnn:Label ID="lblEnableCouponValidationPL" runat="server"/></td>
        <td align="left"><asp:CheckBox runat="server" ID="chkEnableCouponValidationPL"/></td>
    </tr>

    
    <tr style="height: 5"><td>&nbsp;</td></tr>
    
    <tr><td><asp:Label ID="Label22" runat="server" Text="Show Buttons" CssClass="SmithTitle"/></td></tr>

    <tr>
        <td><dnn:Label ID="lblShowViewDetailBtn" runat="server"/></td>
        <td align="left"><asp:CheckBox runat="server" ID="chkShowViewDetailBtn" /></td>
    </tr>

    <tr>
        <td><dnn:Label ID="lblShowAddToWishlist" runat="server"/></td>
        <td align="left"><asp:CheckBox runat="server" ID="chkShowAddToWishlistBtn" /></td>
    </tr>

    <tr style="height: 5"><td>&nbsp;</td></tr>
    
    <tr><td><asp:Label ID="Label23" runat="server" Text="Hide Fields" CssClass="SmithTitle"/></td></tr>


    <tr>
        <td ><dnn:Label ID="lblHidePricePL" runat="server"/></td>
        <td align="left"><asp:CheckBox ID="chkHidePricePL" runat="server" /></td>
    </tr>

    <tr>
        <td ><dnn:Label ID="lblHideAddToCart" runat="server"/></td>
        <td align="left"><asp:CheckBox ID="chkHideAddToCart" runat="server" /></td>
    </tr>

     <tr>
        <td ><dnn:Label ID="lblHideThumbnail" runat="server"/></td>
        <td align="left"><asp:CheckBox ID="chkHideThumbnail" runat="server" /></td>
    </tr>

     <tr>
        <td ><dnn:Label ID="lblHideNav" runat="server"/></td>
        <td align="left"><asp:CheckBox ID="chkHideNav" runat="server" /></td>
    </tr>

    <tr style="height: 5"><td>&nbsp;</td></tr>
    
    <tr>
        <td><dnn:Label ID="lblForceUniqueSKU" runat="server"/></td>
        <td align="left"><asp:CheckBox ID="chkUniqueSKU" runat="server" /></td>
    </tr>

    <tr runat="server" id="trShowCat" visible="false">
        <td><dnn:Label ID="lblShowCategories1" runat="server"/></td>
        <td align="left"><asp:CheckBox ID="chkCategories" runat="server" /></td>
    </tr>
    
     <%--<tr> 
        <td colspan="2">
            <asp:Label ID="Label17" runat="server" CssClass="SmithItalics" Text="Show Categories only applies if not using the Category Module."/><br /><br />
        </td>
    </tr>--%>
    <tr style="height: 20"><td>&nbsp;</td></tr>
</table>
</div>

<%-- Product Detail Page Section--%>
<dnn:sectionhead id="dshProductDetail" runat="server" includerule="True" section="dvProductDetailSection" isexpanded="False" cssclass="Head" Text="Product Detail Page Setup"/>
<div id="dvProductDetailSection" runat="server">
<table class="SmithProdText">
      <tr style="height: 5"><td>&nbsp;</td></tr>
    <tr> 
        <td><dnn:Label ID="lblPDThumbWidth" runat="server"/></td>
        <td align="left" valign="top"> 
             <asp:TextBox ID="txtThumbWidthPD" runat="server" Width="54px"/>&nbsp;&nbsp;
             <asp:CompareValidator ID="CompareValidator1" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtThumbWidthPD" Operator="DataTypeCheck" Type="Integer"/> 
        </td> 
    </tr>
    <tr align="left">
        <td ><dnn:Label ID="lblPDThumbHeight" runat="server"/></td>
        <td align="left"  valign="top">
            <asp:TextBox ID="txtThumbHeightPD" runat="server" Width="54px"/>&nbsp;&nbsp;
            <asp:CompareValidator ID="CompareValidator2" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtThumbHeightPD" Operator="DataTypeCheck" Type="Integer"/>
        </td>
    </tr>
    <tr style="height: 15"><td>&nbsp;</td></tr>
</table>
</div>

<%-- General Cart Settings Section--%>
<dnn:sectionhead id="dshGeneralCart" runat="server" includerule="True" section="dvGeneralCartSection" isexpanded="False" cssclass="Head" Text="General Cart Setup"/>
<div id="dvGeneralCartSection" runat="server">
<table class="SmithProdText">
     <tr style="height: 5"><td>&nbsp;</td></tr>
    <tr>
        <td ><dnn:Label ID="lblUseMiniCart" runat="server"/></td>
        <td><asp:CheckBox runat="server" id="chkMiniCart" /></td>
    </tr>

    <tr align="left">
         <td align="left"><dnn:Label ID="lblEnableSalePrices" runat="server" /> </td>
         <td align="left" valign="top"><asp:CheckBox ID="chkEnableSalePrices" runat="server" Checked="false" /></td>
    </tr>
   
     <tr style="height: 5"><td>&nbsp;</td></tr>
    <tr><td><asp:Label ID="Label24" runat="server" Text="Show Fields" CssClass="SmithTitle"/></td></tr>

     <tr>
        <td ><dnn:Label ID="lblShowCartImage" runat="server"/></td>
        <td><asp:CheckBox runat="server" ID="chkShowCartImage" /></td>
    </tr>

    <tr>
        <td ><dnn:Label ID="lblShowProductSku" runat="server"/></td>
        <td><asp:CheckBox runat="server" ID="chkShowProductSKU" /></td>
    </tr>

    <tr>
        <td ><dnn:Label ID="lblShowManufacturer" runat="server"/></td>
        <td><asp:CheckBox runat="server" ID="chkShowManufacturer" /></td>
    </tr>

    <tr>
        <td ><dnn:Label ID="lblShowQtyOnHand" runat="server"/></td>
        <td><asp:CheckBox ID="chkQuantityOnHand" runat="server" /></td>
    </tr>

     <tr style="height: 20"> 
        <td><dnn:Label ID="lblShowSurcharge" runat="server"/></td>
        <td><asp:CheckBox ID="chkShowSurcharge" runat="server" AutoPostBack="true" OnCheckedChanged="chkShowSurcharge_OnCheckedChanged" Checked="false" /></td>
    </tr>
    <tr id="trSurcharge" runat="server" visible="false" >
        <td><dnn:Label ID="lblSurcharge" runat="server"/></td>
        <td align="left">
            <asp:TextBox ID="txtSurcharge" runat="server" Width="100" />&nbsp;&nbsp;
            <asp:CompareValidator ID="cvSurcharge" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtSurcharge" Operator="DataTypeCheck" Type="Double"/><br />
            <asp:Label ID="Label11" runat="server" CssClass="SmithItalics" Text="(Enter a percent without the percent sign)"/>   
        </td>
    </tr>

       <tr style="height: 5"><td>&nbsp;</td></tr>
    <tr><td><asp:Label ID="Label25" runat="server" Text="Hide Fields" CssClass="SmithTitle"/></td></tr>

    <tr>
        <td ><dnn:Label ID="lblHidePrice" runat="server"/></td>
        <td><asp:CheckBox ID="chkHidePrice" runat="server" /></td>
    </tr>
    <tr>
        <td ><dnn:Label ID="lblHideQty" runat="server"/></td>
        <td><asp:CheckBox ID="chkHideQuantity" runat="server" /></td>
    </tr>
    <tr>
        <td ><dnn:Label ID="lblHideShip" runat="server"/></td>
        <td><asp:CheckBox ID="chkHideShipping" runat="server" /></td>
    </tr>
    <tr>
        <td ><dnn:Label ID="lblHideHandling" runat="server"/></td>
        <td><asp:CheckBox ID="chkHideHandling" runat="server" /></td>
    </tr>
    <tr>
        <td ><dnn:Label ID="lblHideTax" runat="server"/></td>
        <td><asp:CheckBox ID="chkHideTax" runat="server" /></td>
    </tr>
    <tr>
        <td ><dnn:Label ID="lblHideSubTotal" runat="server"/></td>
        <td><asp:CheckBox ID="chkHideSubTotal" runat="server" /></td>
    </tr>

       <tr style="height: 5"><td>&nbsp;</td></tr>
    <tr><td><asp:Label ID="Label27" runat="server" Text="Credit Card" CssClass="SmithTitle"/></td></tr>

    <tr>
        <td ><dnn:Label ID="lblDoNotSaveCreditCard" runat="server"/></td>
        <td valign="top"><asp:CheckBox ID="chkSaveCC" runat="server" /></td>
    </tr>
    <tr>
        <td ><dnn:Label ID="lblSaveCardSecurityCode" runat="server"/></td>
        <td valign="top"><asp:CheckBox ID="chkSaveCVV" runat="server" /></td>
    </tr>

     <tr style="height: 5"><td>&nbsp;</td></tr>
    <tr><td><asp:Label ID="Label28" runat="server" Text="Field Behavior" CssClass="SmithTitle"/></td></tr>

   
    <tr>
        <td ><dnn:Label ID="lblUserEnteredAmounts" runat="server"/></td>
        <td><asp:CheckBox ID="chkUserEnteredAmount" runat="server" /></td>
    </tr>
    <tr>
        <td><dnn:Label ID="lblEnablePartialQty" runat="server"/></td>
        <td valign="top"><asp:CheckBox ID="chkPartialQty" runat="server" /></td>
    </tr>
</table>

<table class="SmithProdText">

      <tr>
        <td nowrap="nowrap"><dnn:Label ID="lblMinOrderAmt" runat="server"/></td>
        <td align="left"><asp:TextBox runat="server" ID="txtMinOrderAmt" MaxLength="9" Width="100"/></td>
    </tr>
    <tr>
        <td><dnn:Label ID="lblShipLabel" runat="server"/></td>
        <td valign="top" align="left"><asp:TextBox runat="server" ID="txtShippingLabel" MaxLength="50" Width="200" /></td>
    </tr>
</table>

<table class="SmithProdText">
   
    <tr><td>&nbsp;</td></tr>

    <tr><td class="SmithTitle" colspan="2" align="left"><dnn:Label ID="lblInventoryMgmt" runat="server"/></td></tr>
    <tr><td style="height: 5"></td></tr>
    <tr align="left">
        <td colspan="2">
            <asp:RadioButtonList ID="rblInventoryMgmt" runat="server" CssClass="SmithProdText">
                <asp:listitem id="optNoInventoryMgmt" runat="server" value="NoInventoryMgmt" Text="No Inventory Management" Selected="True"/>
                <asp:listitem id="optInventoryMgmtAddToCart" runat="server" value="InventoryMgmtAddToCart" Text="Enforce Inventory Management on Add To Cart"/>
                <asp:listitem id="optInventoryMgmtCartPage" runat="server" value="InventoryMgmtCartPage" Text="Enforce Inventory Management on Cart Page"/>
            </asp:RadioButtonList>
        </td>
    </tr>

    <%-- <tr>
        <td style="white-space: nowrap;"><dnn:Label ID="lblEnableInventoryManagement" runat="server"/></td>
        <td><asp:CheckBox ID="chkManageInventory" runat="server" /></td>
    </tr>--%>

    <tr><td>&nbsp;</td></tr>


</table>

<table class="SmithProdText">

    <tr><td class="SmithTitle" colspan="2" align="left"><dnn:Label ID="lblCustomCheckoutPageTitle" runat="server"/></td></tr>
    <tr><td style="height: 5"></td></tr>

    <tr style="height: 20"> 
        <td style="white-space: nowrap"><dnn:Label ID="lblInsertCheckoutPageCart" runat="server" /></td>
        <td align="left"><asp:CheckBox ID="chkInsertCheckoutPageCart" runat="server" AutoPostBack="true" OnCheckedChanged="chkInsertCheckoutPageCart_OnCheckedChanged" Checked="false" /></td>
    </tr>
    <tr id="trInsertCheckoutPageCartURL" runat="server" visible="false" >
        <td><dnn:Label ID="lblCustomCheckoutPageCartURL" runat="server" /></td>
        <td align="left"><asp:TextBox ID="txtInsertCheckoutPageCartURL" runat="server" Width="400" /></td>
    </tr>

    <tr style="height: 20"> 
        <td style="white-space: nowrap"><dnn:Label ID="lblInsertCheckoutPage" runat="server" /></td>
        <td align="left"><asp:CheckBox ID="chkInsertCheckoutPage" runat="server" AutoPostBack="true" OnCheckedChanged="chkInsertCheckoutPage_OnCheckedChanged" Checked="false" /></td>
    </tr>
   
    <tr id="trInsertCheckoutPageURL" runat="server" visible="false" >
        <td><dnn:Label ID="lblCustomCheckoutPageURL" runat="server" /></td>
        <td align="left"><asp:TextBox ID="txtInsertCheckoutPageURL" runat="server" Width="400" /></td>
    </tr>

    <tr><td style="height: 20">&nbsp;</td></tr>
</table>

<table class="SmithProdText">
    <tr><td></td></tr>

   <%-- <tr style="height: 20"> 
        <td><dnn:Label ID="lblDisableAutoPopProfile" runat="server"/></td>
        <td align="left"><asp:CheckBox ID="chkDisableProfileAutoPop" runat="server" Checked="false" /></td>
    </tr>--%>

    <tr><td class="SmithTitle" colspan="2" align="left"><dnn:Label ID="lblAutoPopBehavior" runat="server"/></td></tr>
    <tr><td style="height: 5"></td></tr>
    <tr align="left">
        <td colspan="2">
            <asp:RadioButtonList ID="rblAutoPopBehavior" runat="server" CssClass="SmithProdText">
                <asp:listitem id="optProfileNormal" runat="server" value="AutoPopNormal" Text="Use Session, Cookies and DNN Profile To Auto Populate Checkout Screens" Selected="True"/>
                <asp:listitem id="optProfileOnly" runat="server" value="AutoPopProfileOnly" Text="Use Only DNN Profile To Auto Populate Checkout Screens"/>
                <asp:listitem id="optDisableAutoPopProfile" runat="server" value="DisableAutoPopProfile" Text="Disable Auto Populate from DNN Profile"/>
            </asp:RadioButtonList>
        </td>
    </tr>

    <tr><td></td></tr>

    <tr>
        <td><dnn:Label ID="lblCookieTimeOut" runat="server" /></td>
        <td align="left"><asp:TextBox runat="server" ID="txtCookieTimeOut" MaxLength="50" Width="100" /></td>
    </tr>
    <tr>
        <td><dnn:Label ID="lblSaveDNNProfileOrder" runat="server"/></td>
        <td align="left">
            <asp:DropDownList ID="ddlSaveDNNProfileField" runat="server">
                <asp:ListItem Value="0">-Select-</asp:ListItem>
            </asp:DropDownList>
        </td>
    </tr>

    <tr><td style="height: 20">&nbsp;</td></tr>
    
</table>

</div>

<%-- Wishlist Section--%>
<dnn:sectionhead id="dshWishList" runat="server" includerule="True" section="dvWishListSection" isexpanded="False" cssclass="Head" Text="Wishlist/Save Cart Setup"/>
<div id="dvWishListSection" runat="server">
<table class="SmithProdText">        
 <!--<tr><td>Hide Payment Process Message</td><td><asp:CheckBox runat="server" id="chkHidePaymentProcess" /></td></tr> -->
    <tr><td>&nbsp;</td></tr>
    <tr>
        <td><dnn:Label ID="lblEnableWishlistSaveCart" runat="server"/></td>
        <td align="left" valign="top"><asp:CheckBox ID="chkWishlist" runat="server" /></td>
    </tr>
    <tr><td style="height: 5"></td></tr>
    <tr>
        <td ><dnn:Label ID="lblEnableEmailReminder" runat="server"/></td>
        <td align="left"><asp:CheckBox ID="chkEnableSCEmail" runat="server" /></td>
    </tr>
    <tr><td style="height: 5"></td></tr>
    <tr> 
        <td ><dnn:Label ID="lblEmailReminderDays" runat="server"/></td>
        <td align="left"> 
             <asp:TextBox ID="txtSCEmailDays" runat="server" Width="54px"/>&nbsp;&nbsp;
             <asp:CompareValidator ID="CompareValidator3" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtSCEmailDays" Operator="DataTypeCheck" Type="Integer"/> 
        </td> 
    </tr>
   <tr><td style="height: 20">&nbsp;</td></tr>
</table>
 </div>

 <%-- Step 1 Page Section--%>
<dnn:sectionhead id="dshStep1" runat="server" includerule="True" section="dvStep1Section" isexpanded="False" cssclass="Head" Text="Checkout Step 1 Setup"/>
<div id="dvStep1Section" runat="server">
<table class="SmithProdText">   
    <tr><td style="height: 15px">&nbsp;</td></tr>
    <tr><td class="SmithTitle" colspan="2" align="left"><asp:Label ID="Label2" runat="server" Text="Company Name"/></td></tr>
    <tr><td style="height: 5"></td></tr>
    <tr>
        <td><dnn:Label ID="lblShowCompanyName" runat="server"/></td>
        <td align="left"><asp:CheckBox runat="server" ID="chkShowCompanyName" /></td>
        <%--<td align="left"><asp:CheckBox runat="server" ID="chkShowCompanyName" AutoPostBack="true" OnCheckedChanged="chkShowCompanyName_CheckedChanged"/></td>--%>
    </tr>
    
    <tr runat="server" id="trShowMapCompany" visible="true">
        <td><dnn:Label ID="lblMapCompanyName" runat="server"/></td>
        <td align="left"><asp:DropDownList ID="ddlMapCompany" runat="server" Width="130px">
                 <asp:ListItem Value="0">-Select-</asp:ListItem>
            </asp:DropDownList>
        </td>
    </tr>

    <tr><td style="height: 15px">&nbsp;</td></tr>
    <tr><td class="SmithTitle" colspan="2" align="left"><asp:Label ID="Label4" runat="server" Text="Custom Textbox #1"/></td></tr>
    <tr><td style="height: 5"></td></tr>
    <tr>
        <td ><dnn:Label ID="lblStep1ShowTextbox1" runat="server"/></td>
        <td align="left" ><asp:CheckBox runat="server" ID="chkShowUDTB1" /></td>
    </tr>
    
     <tr>
        <td ><dnn:Label ID="lblStep1Label1" runat="server"/></td>
        <td align="left"><asp:TextBox runat="server" ID="txtUDTB1" MaxLength="50" Width="200" /></td>
    </tr>

    <tr><td style="height: 15px">&nbsp;</td></tr>
    <tr><td class="SmithTitle" colspan="2" align="left"><asp:Label ID="Label5" runat="server" Text="Custom Textbox #2"/></td></tr>
    <tr><td style="height: 5"></td></tr>
    <tr>
        <td ><dnn:Label ID="lblStep1ShowTextbox2" runat="server"/></td>
        <td align="left" ><asp:CheckBox runat="server" ID="chkShowUDTB2" /></td>
    </tr>
    
     <tr>
        <td ><dnn:Label ID="lblStep1Label2" runat="server"/></td>
        <td align="left"><asp:TextBox runat="server" ID="txtUDTB2" MaxLength="50" Width="200" /></td>
    </tr>

    <tr><td style="height: 15px">&nbsp;</td></tr>
    <tr><td class="SmithTitle" colspan="2" align="left"><asp:Label ID="Label6" runat="server" Text="Custom Dropdown List"/></td></tr>
    <tr><td style="height: 5"></td></tr>
    <tr>
        <td><dnn:Label ID="lblStep1ShowDropdown" runat="server"/></td>
        <td align="left"><asp:CheckBox runat="server" ID="chkShowUserDefinedField" /></td>
    </tr>
    
    <tr>
        <td ><dnn:Label ID="lblStep1DropdownDatasource" runat="server"/></td>
        <td align="left">
            <asp:DropDownList runat="server" ID="ddlUDFOption" OnSelectedIndexChanged="ddlUDFOption_SelectedIndexChanged" AutoPostBack="True">
                <asp:ListItem Text="User entered Values" Value="VALUES" />
                <asp:ListItem Text="User entered SQL" Value="SQL" />
            </asp:DropDownList>
        </td>
    </tr>
    <tr>
        <td><dnn:Label ID="lblStep1DropdownLabel" runat="server"/></td>
        <td align="left"><asp:TextBox runat="server" ID="txtUDFLabel" MaxLength="50"/></td>
    </tr>
    <tr runat="server" id="trUDFValues">
        <td style="vertical-align: top"><dnn:Label ID="lblStep1DropdownValues" runat="server"/></td>
        <td align="left">
           <%--<asp:UpdatePanel ID="upDropDownValue" runat="server">
                <ContentTemplate>--%>
                    <table cellpadding="0" cellspacing="0" class="SmithProdText">
                        <tr>
                            <td>
                                <asp:TextBox runat="server" ID="txtUDFValue" MaxLength="50" Width="200" />
                                <asp:ImageButton ID="imgbtnAdd" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/add.gif" OnClick="imgbtnAdd_Click" />
                                <asp:ImageButton ID="imgbtnDel" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/delete2.gif" OnClick="imgbtnDel_Click" />
                            </td>
                        </tr>
                        <tr><td style="height: 5px"></td></tr>
                        <tr>
                            <td>
                                <asp:ListBox runat="server" ID="lstValues" Width="205" />
                                <asp:ImageButton ID="imgBtnAsc" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/ico_asc.gif" ImageAlign="Top" OnClick="imgBtnAsc_Click" />
                                <asp:ImageButton ID="imgBtnDesc" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/ico_desc.gif" ImageAlign="Top" OnClick="imgBtnDesc_Click" />
                            </td>
                        </tr>
                    </table>
               <%-- </ContentTemplate>
            </asp:UpdatePanel>--%>
        </td>
    </tr>
    
    <tr runat="server" id="trUDFSQL">
        <td valign="top"><dnn:Label ID="lblDropdownSQL" runat="server"/></td>
        <td><asp:TextBox runat="server" TextMode="multiLine" MaxLength="400" ID="txtUDFSQL" Rows="8" Columns="100" Width="275"/></td>
    </tr>

    <tr><td style="height: 15px">&nbsp;</td></tr>
    <tr><td class="SmithTitle" colspan="2" align="left"><asp:Label ID="Label7" runat="server" Text="Custom Date Field #1"/></td></tr>
    <tr><td style="height: 5"></td></tr>
    <tr>
        <td><dnn:Label ID="lblStep1ShowDateField1" runat="server"/></td>
        <td align="left"><asp:CheckBox runat="server" ID="chkStep1UDDate1" /></td>
    </tr>
    <tr><td></td></tr>
     <tr>
        <td ><dnn:Label ID="lblStep1DateLabel1" runat="server"/></td>
        <td align="left"><asp:TextBox runat="server" ID="txtStep1UDDate1Label" MaxLength="50" Width="200" /></td>
    </tr>
    
    <tr><td style="height: 15px">&nbsp;</td></tr>
    <tr><td class="SmithTitle" colspan="2" align="left"><asp:Label ID="Label10" runat="server" Text="Custom Date Field #2"/></td></tr>
    <tr><td style="height: 5"></td></tr>
     <tr>
        <td ><dnn:Label ID="lblStep1DateLabel2" runat="server"/></td>
        <td align="left"><asp:TextBox runat="server" ID="txtStep1UDDate2Label" MaxLength="50" Width="200" /></td>
    </tr>
    <tr><td></td></tr>
    <tr>
        <td ><dnn:Label ID="lblStep1ShowDateField2" runat="server"/></td>
        <td align="left"><asp:CheckBox runat="server" ID="chkStep1UDDate2" /></td>
    </tr>

    <tr><td style="height: 15px">&nbsp;</td></tr>
    <tr><td class="SmithTitle" colspan="2" align="left"><asp:Label ID="Label12" runat="server" Text="Custom Checkbox"/></td></tr>
    <tr><td style="height: 5"></td></tr>
    <tr>
        <td ><dnn:Label ID="lblStep1ShowOptInCheckbox" runat="server"/></td>
        <td align="left"><asp:CheckBox ID="chkContact" runat="server" /></td>
    </tr>

    <tr><td style="height: 15px">&nbsp;</td></tr>
    <tr><td class="SmithTitle" colspan="2" align="left"><asp:Label ID="Label13" runat="server" Text="Address Book and Profile Search"/></td></tr>
    <tr><td style="height: 5"></td></tr>
    <tr>
        <td><dnn:Label ID="lblStep1ShowMultipleShipTo" runat="server"/></td>
        <td align="left"><asp:CheckBox ID="chkShowShipTo" runat="server" /></td>
    </tr>

    <tr>
        <td><dnn:Label ID="lblStep1ShareShipToByRole" runat="server"/></td>
        <td align="left"><asp:CheckBox ID="chkShareShipToByRole" runat="server" /></td>
    </tr>

     <tr>
        <td><dnn:Label ID="lblShowProfileSearch" runat="server"/></td>
        <td align="left"><asp:CheckBox ID="chkShowProfileSearch" runat="server" /></td>
    </tr>

    <tr><td style="height: 20">&nbsp;</td></tr>
</table>
</div>

<%-- Confirm Page Section--%>
<dnn:sectionhead id="dshConfirm" runat="server" includerule="True" section="dvConfirmSection" isexpanded="False" cssclass="Head" Text="Confirmation Page Setup (Before Payment)"/>
<div id="dvConfirmSection" runat="server">
<table class="SmithProdText" >    
    <tr><td>&nbsp;</td></tr>

    <tr><td class="SmithTitle" colspan="2" align="left"><asp:Label ID="Label29" runat="server" Text="Custom Listbox"/></td></tr>

    <tr>
        <td><dnn:Label ID="lblConfShowListbox" runat="server"/></td>
        <td align="left"><asp:CheckBox runat="server" ID="chkShowConfLB" /></td>
    </tr>
    <tr>
        <td><dnn:Label ID="lblConfListboxLabel" runat="server"/></td>
        <td align="left"><asp:TextBox runat="server" ID="txtConfLBLabel" MaxLength="50" Width="200" /></td>
    </tr>
    <tr><td></td></tr>
    <tr>
        <td colspan="2" align="left">
            <dnn:Label ID="lblConfListboxText" runat="server"/>
            <asp:TextBox runat="server" TextMode="multiLine" MaxLength="400" ID="txtConfLBText" Rows="8" Columns="100" Width="395px"/>
        </td>
    </tr>
    <tr><td>&nbsp;</td></tr>
    <tr><td class="SmithTitle" colspan="2" align="left"><asp:Label ID="Label30" runat="server" Text="Custom Checkbox"/></td></tr>
    <tr><td></td></tr>
    <tr>
        <td align="left"><dnn:Label ID="lblConfShowCheckbox" runat="server"/></td>
        <td align="left"><asp:CheckBox runat="server" ID="chkShowConfCB"/></td>
    </tr>
    
    <tr>
        <td align="left"><dnn:Label ID="lblConfCheckboxLabel" runat="server"/></td>
        <td align="left"><asp:TextBox runat="server" ID="txtConfCBLabel" MaxLength="50" Width="200" /></td>
    </tr>
    
    <tr>
        <td align="left"><dnn:Label ID="lblCheckboxRequired" runat="server"/></td>
        <td align="left"><asp:CheckBox runat="server" ID="chkConfCBRequired" /></td>
    </tr>
    <tr><td style="height: 20">&nbsp;</td></tr>
</table>
</div>

<%-- ConfirmStatus Page Section--%>
<dnn:sectionhead id="dshConfirmStatus" runat="server" includerule="True" section="dvConfirmStatusSection" isexpanded="False" cssclass="Head" Text="Confirmation Status Page Setup (After Payment)"/>
<div id="dvConfirmStatusSection" runat="server">
<table class="SmithProdText">
    <tr><td>&nbsp;</td></tr>
     <tr><td class="SmithTitle" colspan="2" align="left"><asp:Label ID="Label31" runat="server" Text="Special Instructions - Multiline"/></td></tr>
    <tr><td></td></tr>
    <tr>
        <td><dnn:Label ID="lblConfShowSpecialInstructions" runat="server"/></td>
        <td align="left" valign="top"><asp:CheckBox ID="chkSpecialInstructions" runat="server" /></td>
    </tr>

    <tr><td>&nbsp;</td></tr>
    <tr><td class="SmithTitle" colspan="2" align="left"><asp:Label ID="Label32" runat="server" Text="Custom Textbox #1"/></td></tr>
    <tr><td></td></tr>

    <tr>
        <td><dnn:Label ID="lblConfShowTextbox1" runat="server"/></td>
        <td align="left"><asp:CheckBox runat="server" ID="chkConfirmUDTB1" /></td>
    </tr>
    <tr><td></td></tr>
    <tr>
        <td><dnn:Label ID="lblConfLabel1" runat="server"/></td>
        <td align="left"><asp:TextBox runat="server" ID="txtConfirmUDTB1Label" MaxLength="50" /></td>
    </tr>

    <tr><td>&nbsp;</td></tr>
    <tr><td class="SmithTitle" colspan="2" align="left"><asp:Label ID="Label33" runat="server" Text="Custom Textbox #2"/></td></tr>
    <tr><td></td></tr>

    <tr>
        <td><dnn:Label ID="lblConfShowTextbox2" runat="server"/></td>
        <td align="left"><asp:CheckBox runat="server" ID="chkConfirmUDTB2" /></td>
    </tr>
    <tr><td></td></tr>
     <tr>
        <td><dnn:Label ID="lblConfLabel2" runat="server"/></td>
        <td align="left"><asp:TextBox runat="server" ID="txtConfirmUDTB2Label" MaxLength="50" /></td>
    </tr>

    <tr><td>&nbsp;</td></tr>
    <tr><td class="SmithTitle" colspan="2" align="left"><asp:Label ID="Label34" runat="server" Text="Custom Date Field"/></td></tr>
    <tr><td></td></tr>

     <tr>
        <td><dnn:Label ID="lblConfShowDateField" runat="server"/></td>
        <td align="left"><asp:CheckBox runat="server" ID="chkConfirmUDDate" /></td>
    </tr>
    <tr><td></td></tr>
     <tr>
        <td><dnn:Label ID="lblConfDateLabel" runat="server"/></td>
        <td align="left"><asp:TextBox runat="server" ID="txtConfirmUDDateLabel" MaxLength="50" /></td>
    </tr>

    <tr><td>&nbsp;</td></tr>
    <tr><td class="SmithTitle" colspan="2" align="left"><asp:Label ID="Label35" runat="server" Text="Custom Dropdown List"/></td></tr>
    <tr><td></td></tr>

    <tr>
        <td><dnn:Label ID="lblConfShowDropdown" runat="server"/></td>
        <td align="left"><asp:CheckBox runat="server" ID="chkConfirmUDDropDown" /></td>
    </tr>
    <tr><td></td></tr>
    <tr>
        <td><dnn:Label ID="lblConfDropdownLabel" runat="server"/></td>
        <td align="left"><asp:TextBox runat="server" ID="txtConfirmUDDropDownLabel" MaxLength="50" /></td>
    </tr>

    <tr runat="server" id="tr1">
        <td><dnn:Label runat="server" ID="lblPDUDF1"/></td>
        <td>
            <asp:TextBox runat="server" ID="txtUDFValueConfirm" MaxLength="50" Width="200"/>
            <asp:ImageButton ID="imgbtnAddConfirm" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/add.gif" OnClick="imgbtnAddConfirm_Click" />
            <asp:ImageButton ID="imgbtnDelConfirm" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/delete2.gif" OnClick="imgbtnDelConfirm_Click" />
        </td>
    </tr>
    <tr><td style="height: 5px"></td></tr>
    <tr>
        <td></td>
        <td>
            <asp:ListBox runat="server" ID="lstValuesConfirm" Width="205" />
            <asp:ImageButton ID="imgBtnAscConfirm" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/ico_asc.gif" ImageAlign="Top" OnClick="imgBtnAscConfirm_Click" />
            <asp:ImageButton ID="imgBtnDescConfirm" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/ico_desc.gif" ImageAlign="Top" OnClick="imgBtnDescConfirm_Click" />
        </td>
    </tr>

    <tr><td style="height: 5px">&nbsp;</td></tr>
</table>
<table class="SmithProdText">

    <tr><td class="SmithTitle" colspan="2" align="left"><asp:Label ID="Label36" runat="server" Text="Success Redirect URL"/></td></tr>
    <tr><td></td></tr>
    <tr>
        <td colspan="2" align="left"><dnn:Label ID="lblSuccessRedirectURL" runat="server"/>
        <asp:TextBox runat="Server" ID="txtSuccessRedirectURL" Width="375" /></td>
    </tr>
  
    <tr><td></td></tr>

    <tr>
        <td style="white-space: nowrap" colspan="2" align="left">
           <dnn:Label ID="lblSuccessRedirectButton" runat="server"/>
           <asp:Label runat="Server" ID="lblSuccessRedirectImage" />
           <asp:UpdatePanel runat="server" ID="UpdatePanel8" RenderMode="Inline">
                <Triggers>
                    <asp:PostBackTrigger ControlID="btnSaveSuccessImageFile" />
                </Triggers>
                <ContentTemplate>
                    <asp:FileUpload ID="fuSuccessImage" runat="server" Width="300" />
                    <asp:Button runat="server" Text="Save Button" Width="100px" ID="btnSaveSuccessImageFile" OnClick="btnSaveSuccessImageFile_Click" />
               </ContentTemplate>
            </asp:UpdatePanel>
        </td>
    </tr>
    <tr><td style="height: 15">&nbsp;</td></tr>  
</table>
<table class="SmithProdText">

    <tr><td class="SmithTitle" colspan="2" align="left"><asp:Label ID="Label37" runat="server" Text="On Checkout Complete Events"/></td></tr>
    <tr><td></td></tr>
    <tr>
        <td><dnn:Label ID="lblEnableOnCheckoutStoredProcedure" runat="server"/></td>
        <td valign="top"><asp:CheckBox runat="server" ID="chkEnableStoredProc" AutoPostBack="true" Checked="false" oncheckedchanged="chkEnableStoredProc_CheckedChanged"/></td> 
    </tr>
    
    <tr id="trShowStoredProc" runat="server" visible="false">
        <td>Stored Procedure Name:</td>
        <td><asp:TextBox runat="server" ID="txtConfStoredProc" MaxLength="200" Width="200" /></td>
    </tr>
    
    <tr>
        <td><dnn:Label ID="lblEnableOnCheckoutWebService" runat="server"/></td>
        <td><asp:CheckBox runat="server" ID="chkEnableWebService" AutoPostBack="true" Checked="false" oncheckedchanged="chkEnableWebService_CheckedChanged"/></td> 
    </tr>
</table>
<table class="SmithProdText">    
    <tr id="trShowWebService" runat="server" visible="false">
        <td colspan="2">
            <dnn:Label ID="lblWebServiceURL" runat="server"/>
            <asp:TextBox runat="server" ID="txtConfWebService" Width="550" />
        </td>
    </tr>
    <tr><td style="height: 20">&nbsp;</td></tr>
</table>
</div>

<%-- SignIn Section--%>
<dnn:sectionhead id="dshSignIn" runat="server" includerule="True" section="dvSignInSection" isexpanded="False" cssclass="Head" Text="Sign In/Registration Page Setup"/>
<div id="dvSignInSection" runat="server">

<table class="SmithProdText">
    <tr><td></td></tr>
    <tr>
        <td colspan="2">
            <asp:RadioButtonList ID="rblSignIn" runat="server" CssClass="SmithProdText" onselectedindexchanged="rblSignIn_SelectedIndexChanged" AutoPostBack="true">
                <asp:listitem id="optHideSignInPage" runat="server" value="HideSignInPage" Text="Hide Sign In Page" Selected="True"/>
                <asp:listitem id="optShowSignInPage" runat="server" value="ShowSignInPage" Text="Show Sign In Page"/>
                <asp:listitem id="optShowSignInConfirmPage" runat="server" value="ShowSignInConfirmPage" Text="Show Login on Confirmation Page"/>
                <asp:listitem id="optShowCustomSignInPage" runat="server" value="ShowCustomSignInPage" Text="Show Custom Login and Registration Page"/>
            </asp:RadioButtonList>
        </td>
    </tr>

    <asp:Panel ID="pnlCustomSignInURL" runat="server" Visible="false">
        <tr><td style="height: 5"></td></tr>
        <tr>
             <td><dnn:Label ID="lblCustomLoginPage" runat="server" /></td>
             <td align="left"><asp:TextBox ID="txtCustomLoginURL" runat="server" Width="400" /></td>
        </tr>
        <tr><td></td></tr>
         <tr>
             <td><dnn:Label ID="lblCustomRegistrationPage" runat="server" /></td>
             <td align="left"><asp:TextBox ID="txtCustomRegistrationURL" runat="server" Width="400" /></td>
        </tr>
    </asp:Panel>

    <%--<asp:CheckBox ID="chkShowLoginScreen" runat="server" Visible="false" />
    <asp:CheckBox ID="chkHideLogin" runat="server" Visible="false"/>--%>

    <tr><td>&nbsp;</td></tr>
    <tr><td class="SmithTitle" colspan="2" align="left"><asp:Label ID="Label38" runat="server" Text="Require Login"/></td></tr>
    <tr><td></td></tr>

    <tr>
        <td><dnn:Label ID="lblRequireLogin" runat="server"/></td>
        <td align="left"><asp:CheckBox runat="server" ID="chkRequireLogin" /></td>
    </tr>
    <tr><td style="height: 2"></td></tr>
    <tr>
        <td><dnn:Label ID="lblAddToCartRequiresLogin" runat="server"/></td>
        <td align="left"><asp:CheckBox ID="chkAddCartRequiresLogin" runat="server" /></td>
    </tr>

    <tr><td>&nbsp;</td></tr>
    <tr><td class="SmithTitle" colspan="2" align="left"><asp:Label ID="Label39" runat="server" Text="Registration Page Custom Fields"/></td></tr>
    <tr><td></td></tr>

    <tr>
        <td ><dnn:Label ID="lblSignInShowCompanyName" runat="server"/></td>
        <td align="left"><asp:CheckBox runat="server" ID="chkShowRegCompanyName" /></td>
    </tr>
    <tr><td style="height: 2"></td></tr>
    <tr>
        <td ><dnn:Label ID="lblSignInShowDropdown" runat="server"/></td>
        <td align="left"><asp:CheckBox runat="server" ID="chkShowRegGroupName" /></td>
    </tr>

    <tr><td>&nbsp;</td></tr>
    <tr><td class="SmithTitle" colspan="2" align="left"><asp:Label ID="Label40" runat="server" Text="Custom Textbox #1"/></td></tr>
    <tr><td></td></tr>

    <tr>
        <td><dnn:Label ID="lblSignInShowTextbox1" runat="server"/></td>
        <td align="left"><asp:CheckBox runat="server" ID="chkRegTB1" /></td>
    </tr>
    <tr><td style="height: 2"></td></tr>
     <tr>
        <td><dnn:Label ID="lblSignInLabel1" runat="server"/></td>
        <td align="left"><asp:TextBox runat="server" ID="txtRegTB1Label" MaxLength="50" Width="200" /></td>
    </tr>

    <tr><td>&nbsp;</td></tr>
    <tr><td class="SmithTitle" colspan="2" align="left"><asp:Label ID="Label41" runat="server" Text="Custom Textbox #2"/></td></tr>
    <tr><td></td></tr>
    
    <tr><td><dnn:Label ID="lblSignInShowTextbox2" runat="server"/></td>
    <td align="left"><asp:CheckBox runat="server" ID="chkRegTB2" /></td></tr>
    
    <tr><td style="height: 2"></td></tr>
    
    <tr><td ><dnn:Label ID="lblSignInLabel2" runat="server"/></td>
    <td align="left"><asp:TextBox runat="server" ID="txtRegTB2Label" MaxLength="50" Width="200" /></td></tr>
    
    <tr><td>&nbsp;</td></tr>
    <tr><td class="SmithTitle" colspan="2" align="left"><asp:Label ID="Label42" runat="server" Text="Custom Date Field"/></td></tr>
    <tr><td></td></tr>
    
    <tr><td><dnn:Label ID="lblSignInShowDateField" runat="server"/></td>
    <td align="left"><asp:CheckBox runat="server" ID="chkRegDate" /></td></tr>
    
    <tr><td style="height: 2"></td></tr>
    
    <tr><td ><dnn:Label ID="lblSignInDateLabel" runat="server"/></td>
    <td align="left"><asp:TextBox runat="server" ID="txtRegDateLabel" MaxLength="50" Width="200" /></td></tr>
    
    <tr><td style="height: 20">&nbsp;</td></tr> 
</table>
</div>

<%--Upsell Page Section--%>
<dnn:sectionhead id="dshUpsell" runat="server" includerule="True" section="dvUpsellSection" isexpanded="False" cssclass="Head" Text="Upsell Page Setup"/>
<div id="dvUpsellSection" runat="server">
<table class="SmithProdText">
    <tr><td>&nbsp;</td></tr>
  
    <tr style="height: 20"> 
        <td style="white-space: nowrap"><dnn:Label ID="lblShowUpsellPage" runat="server" /></td>
        <td align="left"><asp:CheckBox ID="chkShowUpsellPage" runat="server" /></td>
    </tr>

    <tr>
        <td ><dnn:Label ID="lblShowSkuUpsell" runat="server"/></td>
        <td><asp:CheckBox runat="server" ID="chkShowSkuUpsell" /></td>
    </tr>

     <tr>
        <td><dnn:Label ID="lblShowRatingUpsell" runat="server"/></td>
        <td align="left"><asp:CheckBox runat="server" ID="chkShowRatingUpsell" /></td>
    </tr>

    <tr>
        <td ><dnn:Label ID="lblHidePriceUpsell" runat="server"/></td>
        <td><asp:CheckBox ID="chkHidePriceUpsell" runat="server" /></td>
    </tr>

    <tr>
        <td ><dnn:Label ID="lblHideThumbUpsell" runat="server"/></td>
        <td align="left"><asp:CheckBox ID="chkHideThumbUpsell" runat="server" /></td>
    </tr>

    <tr><td style="height: 15">&nbsp;</td></tr>
</table>
</div>

<%-- Discounts Section--%>
<dnn:sectionhead id="dshDiscounts" runat="server" includerule="True" section="dvDiscountsSection" isexpanded="False" cssclass="Head" Text="Coupon and Discount Setup"/>
<div id="dvDiscountsSection" runat="server">
<table class="SmithProdText">
    <tr><td style="height: 20"></td></tr>
    <tr><td class="SmithTitle" colspan="2" align="left"><dnn:Label ID="lblCouponSetup" runat="server"/></td></tr>
    <tr><td style="height: 5"></td></tr>
    <tr>
        <td colspan="2" align="left">
            <asp:RadioButtonList ID="rblCoupon" runat="server" CssClass="SmithProdText">
                <asp:listitem id="optNoCoupon" runat="server" value="NoCoupon" Text="Disable Coupons" Selected="True"/>
                <asp:listitem id="optShowCoupon" runat="server" value="ShowCoupon" Text="Show Coupons"/>
                <asp:listitem id="optHideCoupon" runat="server" value="HideCoupon" Text="Hide Coupons"/>
            </asp:RadioButtonList>
        </td>
    </tr>

    <tr><td style="height: 20">&nbsp;</td></tr>

    <tr><td class="SmithTitle" colspan="2"  align="left"><dnn:Label ID="lblDiscounts" runat="server"/></td></tr>
    <tr><td style="height: 5"></td></tr>
    <tr>
        <td colspan="2" align="left">
            <asp:RadioButtonList ID="rblDiscounts" runat="server" CssClass="SmithProdText">
                <asp:listitem id="optNoDiscounts" runat="server" value="NoDiscounts" Text="No Discounts" Selected="True"/>
                <asp:listitem id="optProductDiscounts" runat="server" value="ProductDiscounts" Text="Enable Product Quantity Discounts"/>
                <asp:listitem id="optProductDiscountPercent" runat="server" value="ProductDiscountPercent" Text="Product Percent/Amount Discounts By Role"/>
                <asp:listitem id="optCategoryDiscounts" runat="server" value="CategoryDiscounts" Text="Enable Category Level Discounts"/>
                 <asp:listitem id="optPriceClassDiscounts" runat="server" value="PriceClassDiscounts" Text="Enable Price Class Discounts"/>
                <asp:listitem id="optOrderDiscountsByRole" runat="server" value="OrderDiscountsByRole" Text="Enable Order Level Discounts By Role"/>
            </asp:RadioButtonList>
        </td>
    </tr>
    
    <tr><td style="height: 20">&nbsp;</td></tr>
    <tr><td class="SmithTitle" colspan="2" align="left"><dnn:Label ID="lblMemberPricingDiscounts" runat="server"/></td></tr>
    <tr><td style="height: 5"></td></tr>
    <tr>
        <td colspan="2" align="left">
            <asp:RadioButtonList ID="rblMemberPricing" runat="server" CssClass="SmithProdText" onselectedindexchanged="rblMemberPricing_SelectedIndexChanged" AutoPostBack="true" >
                <asp:listitem id="optNoMemberPricing" runat="server" value="NoMemberPricing" Text="No Member Pricing" Selected="True"/>
                <asp:listitem id="optShowMemberPrice" runat="server" value="ShowMemberPrice" Text="Show Member Price"/>
                <asp:listitem id="optShowMemberPriceByRole" runat="server" value="ShowMemberPriceByRole" Text="Show Member Prices By Role"/>
                <asp:listitem id="optMemberDiscountPercentByRole" runat="server" value="MemberDiscountPercentByRole" Text="Enable Member Discount Percent By Role"/>
            </asp:RadioButtonList>
        </td>
    </tr>
    <tr><td style="height: 5"></td></tr>
    <tr runat="server" id="trMemberDiscountPercent" visible="false">
        <td><dnn:Label ID="lblMemberDiscountPercent" runat="server"/></td>
        <td align="left"><asp:TextBox runat="server" ID="txtMemberDiscountPercentage" Width="100" />
             <asp:CompareValidator ID="cvTaxRate0" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtMemberDiscountPercentage" Operator="DataTypeCheck" Type="Double"/>
        </td>
    </tr>
    <tr><td></td></tr>
    <tr runat="server" id="trMemberDiscountByRole" visible="false">
        <td><dnn:Label ID="lblMemberDiscountByRole" runat="server" /></td>
        <td  align="left"><asp:DropDownList runat="server" ID="ddlDiscountMemberRole" AppendDataBoundItems="true">
                <asp:ListItem>-Select-</asp:ListItem>
            </asp:DropDownList>
         </td>
     </tr>
     <tr><td style="height: 20">&nbsp;</td></tr>
</table>

</div>

<%-- Vendor Section--%>
<dnn:sectionhead id="dshVendor" runat="server" includerule="True" section="dvVendorSection" isexpanded="False" cssclass="Head" Text="Vendor Store Setup"/>
<div id="dvVendorSection" runat="server">
<table class="SmithProdText">
    <tr><td style="height: 5"></td></tr>
    <tr>
        <td colspan="2">
            <asp:RadioButtonList ID="rblVendorStoreType" runat="server" CssClass="SmithProdText">
                <asp:listitem id="optDisableVendorStore" runat="server" value="DisableVendorStore" Text="Disable Vendor Module" Selected="True"/>
                <asp:listitem id="optEnableVendorStore" runat="server" value="EnableVendorStore" Text="Enable Vendor Marketplace" />
                <asp:listitem id="optEnableRegistry" runat="server" value="EnableRegistry" Text="Enable Registry"/>
                <asp:listitem id="optEnableBookings" runat="server" value="EnableBookings" Text="Enable Booking"/>
                <asp:listitem id="optEnableReservations" runat="server" value="EnableReservations" Text="Enable Reservations"/>
            </asp:RadioButtonList>
        </td>
    </tr>
    <tr><td></td></tr>
    <tr style="height: 20"> 
        <td>Show Vendor Search:&nbsp;&nbsp;
            <asp:CheckBox ID="chkShowVendorSearch" runat="server" Checked="false" />
        </td>
    </tr>
    <tr><td>&nbsp;</td></tr>
     <tr>
        <td><dnn:Label ID="lblVendorSuccessRedirectURL" runat="server" align="left"/><asp:TextBox runat="Server" ID="txtVendorSuccessRedirectURL" Width="350" /></td>
    </tr>
    <tr><td style="height: 20">&nbsp;</td></tr>
</table>
</div>

<%--Affiliate Section--%>
<dnn:sectionhead id="dshAffiliate" runat="server" includerule="True" section="dvAffiliateSection" isexpanded="False" cssclass="Head" Text="Affiliate Setup"/>
<div id="dvAffiliateSection" runat="server">
<table class="SmithProdText">
    <tr><td style="height: 5"></td></tr>
    <tr>
        <td><dnn:Label ID="lblAffiliateMerchantID" runat="server"/></td>
        <td align="left"><asp:TextBox runat="Server" ID="txtAffiliateMerchantID" Width="200px" MaxLength="100" /></td>
    </tr>

    <tr>
        <td><dnn:Label ID="lblAffiliateURL" runat="server"/></td>
        <td align="left"><asp:TextBox runat="Server" ID="txtAffiliateURL" Width="380px" /></td>
    </tr>

    <tr><td style="height: 15">&nbsp;</td></tr>
</table>
</div>

<br /><br />

<%-- Save Buttons --%>
<div>
    <asp:Button ID="btnCancel" runat="server" OnClick="btnCancel_Click" Text="Back" CausesValidation="false" />&nbsp;&nbsp;&nbsp;&nbsp;
    <asp:Button ID="btnSave" runat="server" OnClick="btnSave_Click" Text="Save Settings" />&nbsp;&nbsp;&nbsp;
    <asp:Label ID="lblMsg" runat="server" Text="Settings Saved" CssClass="SmithBlueMsgBold" Visible="false"/>
</div>

<br />
<span class="SmithRequiredText">*</span>&nbsp;&nbsp;<i>Indicates required field</i>
<br />
