﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.ManageOrders, App_Web_manageorders.ascx.54f2e0e1" %>
<link href="module.css" rel="stylesheet" type="text/css" />

<table width="100%" class="SmithProdText">
    <tr>
        <td>
            Search:&nbsp;<asp:DropDownList ID="ddlSearch" runat="server" Width="122px">
                <asp:ListItem>Name</asp:ListItem>
                <asp:ListItem>City</asp:ListItem>
                <asp:ListItem>State</asp:ListItem>
                <asp:ListItem>OrderID</asp:ListItem>
                <asp:ListItem>Status</asp:ListItem>
            </asp:DropDownList>&nbsp;<asp:TextBox ID="txtSearch" runat="server" Width="141px"></asp:TextBox>&nbsp;
            <asp:Button ID="btnSearch" runat="server" Text="Go" OnClick="btnSearch_Click" />&nbsp;
        </td>
        <td align="center" style="width: 116px">
            Records:&nbsp;<asp:DropDownList ID="ddlRecords" runat="server" Width="57px" OnSelectedIndexChanged="ddlRecords_SelectedIndexChanged"
                AutoPostBack="True">
                <asp:ListItem>10</asp:ListItem>
                <asp:ListItem>20</asp:ListItem>
                <asp:ListItem>50</asp:ListItem>
                <asp:ListItem>100</asp:ListItem>
            </asp:DropDownList>
        </td>
    </tr>
    <tr style="height: 15">
        <td>
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <asp:GridView ID="grdOrders" runat="server" DataKeyNames="OrderID" AllowSorting="true" CssClass="SmithProdText" AutoGenerateColumns="false" Width="900px"
                OnRowCreated="grdOrders_RowCreated" OnSorting="grdOrders_Sorting" OnRowCancelingEdit="grdOrders_RowCancelingEdit" OnRowEditing="grdOrders_RowEditing" OnRowUpdating="grdOrders_RowUpdating" OnRowDataBound="grdOrders_RowDataBound">
                <Columns>
                    <asp:TemplateField HeaderText="Select" HeaderStyle-HorizontalAlign="Left">
                        <ItemTemplate>
                            <asp:LinkButton ID="lkSelect" runat="server" OnClick="lkSelect_Click">Select</asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField>
                        <ItemTemplate>
                            <asp:HyperLink ID="hlInvoice" runat="server" NavigateUrl='<%#GetEditUrl(DataBinder.Eval(Container.DataItem,"OrderID")) %>'
                                Target="_blank">Invoice</asp:HyperLink>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Order ID" SortExpression="OrderID" HeaderStyle-HorizontalAlign="Left">
                        <ItemTemplate>
                            <asp:Label ID="lblOrderID" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"OrderID")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Order Date" SortExpression="OrderDate" HeaderStyle-HorizontalAlign="Left">
                        <ItemTemplate>
                            <asp:Label ID="lblOrderDate" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"OrderDate","{0:d}")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="ID" SortExpression="CustomerID" HeaderStyle-HorizontalAlign="Left"
                        Visible="false">
                        <ItemTemplate>
                            <asp:Label ID="lblCustomerID" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"CustomerID")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="First Name" SortExpression="FirstName" HeaderStyle-HorizontalAlign="Left">
                        <ItemTemplate>
                            <asp:Label ID="lblFirstName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"ShipFirstName")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Last Name" SortExpression="LastName" HeaderStyle-HorizontalAlign="Left">
                        <ItemTemplate>
                            <asp:Label ID="lblLastName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"ShipLastName")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Ship Address" SortExpression="ShipAddress1" ItemStyle-Wrap="false"
                        HeaderStyle-HorizontalAlign="Left">
                        <ItemTemplate>
                            <asp:Label ID="lblShipAddress1" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"ShipAddress1")%>'></asp:Label>,
                            <asp:Label ID="lblShipAddress2" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"ShipAddress2")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Ship City" SortExpression="City" HeaderStyle-HorizontalAlign="Left">
                        <ItemTemplate>
                            <asp:Label ID="lblCity" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"ShipCity")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Ship State" SortExpression="State" HeaderStyle-HorizontalAlign="Left">
                        <ItemTemplate>
                            <asp:Label ID="lblState" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"ShipState")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Ship Zip Code" SortExpression="ShipZipCode" HeaderStyle-HorizontalAlign="Left">
                        <ItemTemplate>
                            <asp:Label ID="lblShipZipCode" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"ShipZipCode")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Ship Method" SortExpression="ShipMethod" ItemStyle-Wrap="false"
                        HeaderStyle-HorizontalAlign="Left">
                        <ItemTemplate>
                            <asp:Label ID="lblShipMethod" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"ShipMethod")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Affiliate Id" SortExpression="AffiliateId" ItemStyle-Wrap="false"
                        HeaderStyle-HorizontalAlign="Left">
                        <ItemTemplate>
                            <asp:Label ID="lblAffiliateId" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"AffiliateId")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Tracking No." SortExpression="TrackingNumber" ItemStyle-Wrap="false"
                        HeaderStyle-HorizontalAlign="Left">
                        <ItemTemplate>
                            <asp:Label ID="lblTrackingNo" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"TrackingNumber")%>'></asp:Label>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox ID="txtTrackingNo" runat="server" Text='<%#Eval("TrackingNumber") %>'></asp:TextBox>
                        </EditItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Status" SortExpression="Status" HeaderStyle-HorizontalAlign="Left">
                        <ItemTemplate>
                            <asp:Label ID="lblStatus" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Status")%>'></asp:Label>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:Label ID="lblOrderID1" Visible="false" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"OrderID")%>'></asp:Label>
                            <asp:DropDownList ID="ddlStatus" runat="server">
                                <asp:ListItem Value="Open">Open</asp:ListItem>
                                <asp:ListItem Value="Shipped">Shipped</asp:ListItem>
                                <asp:ListItem Value="Closed">Closed</asp:ListItem>
                                <asp:ListItem Value="Cancelled">Cancelled</asp:ListItem>
                                <asp:ListItem Value="BillMeLater">BillMeLater</asp:ListItem>
                                <asp:ListItem Value="Manual">Manual</asp:ListItem>
                            </asp:DropDownList>
                        </EditItemTemplate>
                    </asp:TemplateField>
                    <asp:CommandField ShowEditButton="true" />
                </Columns>
            </asp:GridView>
        </td>
    </tr>
    <tr style="height: 7"><td></td></tr>
    <tr>
        <td align="center" colspan="2">
            <asp:LinkButton ID="lbFirst" runat="server" OnClick="lbFirst_Click">First</asp:LinkButton>
            <asp:LinkButton ID="lbPrev" runat="server" OnClick="lbPrev_Click">Prev</asp:LinkButton>
            <asp:Label ID="lblResult" runat="server"></asp:Label>
            <asp:LinkButton ID="lbNext" runat="server" OnClick="lbNext_Click">Next</asp:LinkButton>
            <asp:LinkButton ID="lbLast" runat="server" OnClick="lbLast_Click">Last</asp:LinkButton>
        </td>
    </tr>
    
    <tr style="height: 7"><td></td></tr>
    
    <asp:PlaceHolder ID="holder" runat="server" Visible="false">
        <tr>
            <td><b>OrderID:</b>&nbsp;&nbsp;<asp:Label ID="lblOrderID" runat="server"></asp:Label> </td>
        </tr>
        <tr>
            <td><b>Order Date:</b>&nbsp;&nbsp; <asp:Label ID="lblOrderDate" runat="server"></asp:Label></td>
        </tr>
        <tr>
            <td><b>Customer Name:</b>&nbsp;&nbsp; <asp:Label ID="lblName" runat="server"></asp:Label></td>
        </tr>
         <tr>
            <td><b>Coupon Code:</b>&nbsp;&nbsp; <asp:Label ID="lblCouponCode" runat="server"></asp:Label></td>
        </tr>
        <tr runat="Server">
            <td id="trUDTB1"><b><asp:Label ID="lblUdf1Label" runat="server"></asp:Label>:</b>&nbsp;&nbsp; <asp:Label ID="lblUdf1" runat="server"></asp:Label></td>
        </tr>
        <tr runat="Server">
            <td id="trUDTB2"><b><asp:Label ID="lblUdf2Label" runat="server"></asp:Label>:</b>&nbsp;&nbsp; <asp:Label ID="lblUdf2" runat="server"></asp:Label></td>
        </tr>
        <tr runat="Server">
            <td id="trUDDropDown"><b><asp:Label ID="lblUdDropdownLabel" runat="server"></asp:Label>:</b>&nbsp;&nbsp; <asp:Label ID="lblUdDropdown" runat="server"></asp:Label></td>
        </tr>
        <tr runat="Server">  
            <td id="trUDDate"><b><asp:Label ID="lblUdDateLabel" runat="server"></asp:Label>:</b>&nbsp;&nbsp; <asp:Label ID="lblUdDate" runat="server"></asp:Label></td>
        </tr>
        <tr runat="Server">
            <td id="trSpecialInstructions"><b>Special Instructions:</b>&nbsp;&nbsp; <asp:Label ID="lblSpecialInstructions" runat="server"></asp:Label></td>
        </tr>
    
    </asp:PlaceHolder>
    
    <tr style="height: 25px"><td>&nbsp;</td></tr>
    
    <tr>
        <td colspan="2"><label id="lblOrderDetail" runat="server"><b>Order Detail</b></label></td>
    </tr>
    <tr>
        <td colspan="2">
            <asp:GridView ID="grdOrderDetails" AutoGenerateColumns="false" runat="server" Width="700px" CssClass="SmithProdText">
                <Columns>
                    <asp:TemplateField HeaderText="OrderID" HeaderStyle-HorizontalAlign="left" HeaderStyle-Width="50px" ItemStyle-HorizontalAlign="Center">
                        <ItemTemplate>
                            <asp:Label ID="lblOrderID" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"OrderID") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Sku" HeaderStyle-HorizontalAlign="left" HeaderStyle-Width="75px" ItemStyle-HorizontalAlign="Left">
                        <ItemTemplate>
                            <asp:Label ID="lblProductSku" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"ProductSku") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Product Name" HeaderStyle-HorizontalAlign="left" HeaderStyle-Width="200px">
                        <ItemTemplate>
                            <asp:Label ID="lblModleName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"ProductName") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Quantity" HeaderStyle-HorizontalAlign="Center" HeaderStyle-Width="80px" ItemStyle-HorizontalAlign="Center">
                        <ItemTemplate>
                            <asp:Label ID="lblQuantity" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Quantity") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="UnitCost" HeaderStyle-HorizontalAlign="left" HeaderStyle-Width="60px" ItemStyle-HorizontalAlign="Right">
                        <ItemTemplate>
                            <asp:Label ID="lblUnitCost" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"UnitCost","{0:c}") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
        </td>
    </tr>
    
    <tr><td colspan="2"><br /></td></tr>
    
    <tr>
        <td colspan="2"><label id="lblPaymentHistory" runat="server"><b>Payment History</b></label></td>
    </tr>
    <tr>
        <td colspan="2">
            <asp:GridView ID="grdPayHist" runat="server" AutoGenerateColumns="false" Width="748px"
                CssClass="SmithProdText">
                <Columns>
                    <asp:TemplateField HeaderText="Name" HeaderStyle-HorizontalAlign="left">
                        <ItemTemplate>
                            <asp:Label ID="lblName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Name") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="PayType" HeaderStyle-HorizontalAlign="left">
                        <ItemTemplate>
                            <asp:Label ID="lblPayType" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"PayType") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="PayDate" HeaderStyle-HorizontalAlign="left">
                        <ItemTemplate>
                            <asp:Label ID="lblPayDate" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"PayDate") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Amount" HeaderStyle-HorizontalAlign="left">
                        <ItemTemplate>
                            <asp:Label ID="lblAmount" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Amount","{0:c}") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Account No" HeaderStyle-HorizontalAlign="left">
                        <ItemTemplate>
                            <asp:Label ID="lblAcctNo" runat="server" Text='<%#Account((string)DataBinder.Eval(Container.DataItem,"AcctNo")) %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Expiration Date" HeaderStyle-HorizontalAlign="left">
                        <ItemTemplate>
                            <asp:Label ID="lblCreditCardExp" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"ExpRoute") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Status" HeaderStyle-HorizontalAlign="left">
                        <ItemTemplate>
                            <asp:Label ID="lblStatus" runat="server" Text='<%#(string)DataBinder.Eval(Container.DataItem,"Status") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
        </td>
    </tr>
    
    <tr style="height: 20"><td></td></tr>
    
    <tr>
        <td colspan="2" align="center"><asp:Button ID="btnBack" runat="server" onclick="btnBack_Click" Text="Back" Width="80px" /></td>
    </tr>
</table>
