﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.ProductsList, App_Web_productslist.ascx.54f2e0e1" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%--<link href="module.css" rel="stylesheet" type="text/css" />

<link href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8/themes/base/jquery-ui.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.5/jquery.min.js"></script>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.2/jquery-ui.min.js"></script>--%>


<script type="text/javascript">

    //Show Signin Popup
    jQuery(document).ready(function () {
        //position window top
        //addLoadEvent(function () { window.scrollTo(0, 0) });
        jQuery("#ScrollTop").val(0);
   
        //variable to reference window
        $myWindow = jQuery('#dvSignInPopup');

        //instantiate the dialog
        $myWindow.dialog({
            width: 440,
            modal: true,
            //position: 'center',
            //position: [objDiv.style.height, objDiv.style.width] ,
            autoOpen: false,
            draggable: true, resizable: true,
            title: 'Sign In',
            open: function (type, data) {
                $(this).parent().appendTo("form");
            },
            overlay: { opacity: 0.5, background: 'black' }
        });
    }
        );

    function showDialog() {
        //if the contents have been hidden with css, you need this
        $myWindow.show();
        //open the dialog
        $myWindow.dialog("open");
        return false;
    }

    //NOT USED - position window top
    function addLoadEvent(func) {
        var oldonload = window.onload;
        if (typeof window.onload != 'function')
        { window.onload = func; }
        else {
            window.onload = function () {
                oldonload();
                func();
            }
        }
    }

</script>


<asp:Panel ID="divAdminMenu" runat="server" Visible="false" CssClass="scAdminMenu scCenter">
    <div class="scContainer">
        <asp:ImageButton ID="IbAdminMenu" runat="server" ImageUrl="Images/admin-menu-button.gif" onclick="IbAdminMenu_Click" resourcekey="btnAdminMenu"/>
    </div>
    <div class="scContainer">
        <asp:ImageButton ID="IbCartSettings" runat="server" ImageUrl="Images/settings-button.gif" onclick="IbCartSettings_Click" resourcekey="btnManageSettings"/>
    </div>
</asp:Panel>

<%--<asp:Panel runat="server" ID="pnlSubmit" DefaultButton="btnSearch">--%>
<table runat="server" id="tbMain" visible="true" width="100%">
    <tr align="left">
        <td>
            <%--<asp:Label ID="lblSearchLabel" runat="server"/>&nbsp;--%>
            <asp:Image ID="imgSearch" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/SearchIcon.png" />
            <asp:DropDownList ID="ddlSearch" runat="server"/> 
            <asp:TextBox ID="txtSearch" runat="server" Width="160px"/>
            <asp:Button ID="btnSearch" resourcekey="btnSearch" runat="server" OnClick="btnSearch_Click" />
        </td>

        <td></td>

        <td>
           <asp:DropDownList ID="ddlSort" runat="server" AutoPostBack="True" OnSelectedIndexChanged="ddlSort_SelectedIndexChanged" >
                <asp:ListItem Value="MyDefault" Text="-Sort-"  />
                <asp:ListItem Value="HighToLow" Text="Price High to Low" />
                <asp:ListItem Value="LowToHigh" Text="Price Low to High" />
                <asp:ListItem Value="BrandAZ" Text="Brand A-Z" />
                <asp:ListItem Value="BrandZA" Text="Brand Z-A" />
                <asp:ListItem Value="ProductAZ" Text="Product Name A-Z" />
                <asp:ListItem Value="ProductZA" Text="Product Name Z-A" />
                <asp:ListItem Value="SkuAZ" Text="Sku A-Z" />
                <asp:ListItem Value="SkuZA" Text="Sku Z-A" />
                <asp:ListItem Value="NewArrivals" Text="New Arrivals" />
                <asp:ListItem Value="Featured" Text="Featured" />
            </asp:DropDownList>
        </td>
        <td runat="server" id="tdRecordsDropdown" visible="false">
            <asp:Label ID="lblRecordsLabel" resourcekey="lblRecordsLabel" runat="server"/>
            <asp:DropDownList ID="ddlRecords" runat="server" AutoPostBack="True" OnSelectedIndexChanged="ddlRecords_SelectedIndexChanged">
            </asp:DropDownList>
        </td>
    </tr>
    <tr runat="server" id="trVendorSearch" align="left" visible="false" >
        <td colspan="4">
            <asp:Label ID="lblVendorSearchLabel" runat="server" resourcekey="lblVendorSearchLabel"/>&nbsp;
            <asp:DropDownList ID="ddlVendorSearch" runat="server"/> 
            <asp:Button ID="btnVendorSearch" resourcekey="btnVendorSearch" runat="server" OnClick="btnVendorSearch_Click" />
        </td>
    </tr>

    <tr style="height:20" align="center"><td colspan="3"><asp:Label runat="server" ID="lblMessage" Visible="false" CssClass="SmithRequiredText" /></td></tr>
</table>

<div id="trCatDescription" runat="server" class="CatDescription"><asp:Label ID="lblCatDescription" runat="server" /></div>
<div id="trVendorComments" runat="server" class="CatDescription"><asp:Label ID="lblVendorComments" runat="server" Width="100%" /></div>

<asp:DataList ID="dtProductslist" runat="server" Width="100%" OnItemCreated="dtProductslist_ItemCreated" OnItemDataBound="dtProductslist_ItemDataBound" OnItemCommand="dtProductslist_ItemCommand" EnableViewState="false">
    <ItemTemplate></ItemTemplate>
</asp:DataList>

<br /><br />
<asp:Panel ID="dvBtnViewCart" runat="server" CssClass="scCenter">

    <%--<div style="float:left;"><asp:Label ID="lblResult1" runat="server"/>&nbsp;</div>
    <div style="float:left;"><asp:Label ID="Label2" runat="server"/></div>--%>

    <div class="scContainer scButton">
        <div class="b_left scButton"></div><!-- no white space
        --><div class="b_center scButton"><asp:LinkButton ID="IbViewCart" runat="server" onclick="IbViewCart_Click" Text="VIEW CART" CssClass="b_link" resourcekey="IbViewCart.Text" Font-Size="12px"/></div><!--
        --><div class="b_right scButton"></div>
    </div>
</asp:Panel>

<asp:PlaceHolder ID="phNavigation" runat="server">
  <asp:Panel ID="dvNav" runat="server" CssClass="SmithPagination scCenter">
      <asp:LinkButton ID="LBFirst" CssClass="SmithPagination" runat="server" OnClick="LBFirst_Click"><%= Localization.GetString("First.Text", LocalResourceFile)%></asp:LinkButton>&nbsp;
      <asp:LinkButton ID="LBPrev" CssClass="SmithPagination" runat="server" OnClick="LBPrev_Click"><%= Localization.GetString("Prev.Text", LocalResourceFile)%></asp:LinkButton>&nbsp;
      <asp:Label ID="lblResult" CssClass="SmithPagination" runat="server"></asp:Label>&nbsp;
      <asp:LinkButton ID="LBNext" CssClass="SmithPagination" runat="server" OnClick="LBNext_Click"><%= Localization.GetString("Next.Text", LocalResourceFile)%></asp:LinkButton>&nbsp;
      <asp:LinkButton ID="LBLast" CssClass="SmithPagination" runat="server" OnClick="LBLast_Click"><%= Localization.GetString("Last.Text", LocalResourceFile)%></asp:LinkButton>
  </asp:Panel>
</asp:PlaceHolder>


<%---------------------------------------%>
<%----- Sign In Popup Window --------%>
<%---------------------------------------%>

<asp:PlaceHolder ID="phSignIn" runat="server">
  <div id="dvSignInPopup" >

  <table id="tblPayPopup">
    
      <tr height="10px"><td>&nbsp;</td></tr>

      <tr>
          <td class="SmithLargeBold" align="center"><%= Localization.GetString("txtRegister.Text", LocalResourceFile)%><br /><br />
                <div>
                      <div class="b_left">&nbsp;</div>
                      <div class="b_center">
                          &nbsp;&nbsp;<asp:LinkButton ID="lbRegister" runat="server"  Text="Register Now" CssClass="b_link" Font-Size="13px" ForeColor="White" onclick="btnRegister_Click"></asp:LinkButton>&nbsp;&nbsp;
                      </div>
                      <div class="b_right">&nbsp;</div>
                </div>
          </td>

          <td width="50">&nbsp;</td>
        
         <td class="SmithLargeBold" align="center"><%= Localization.GetString("txtSignIn.Text", LocalResourceFile)%><br /><br />
              <div>
                  <div class="b_left">&nbsp;</div>
                  <div class="b_center">
                      &nbsp;&nbsp;<asp:LinkButton ID="lbLogin" runat="server" Text="Sign In" CssClass="b_link" Font-Size="13px" ForeColor="White" onclick="btnLogin_Click"></asp:LinkButton>&nbsp;&nbsp;</div>
                  <div class="b_right">&nbsp;</div>
              </div>
          </td>
      </tr>
      <tr height="15"><td>&nbsp;</td></tr>
      <tr height="40px"><td>&nbsp;</td></tr>
  </table>

  </div>
</asp:PlaceHolder>

<asp:HiddenField ID="hdAddToWishlist" runat="server" />
<asp:HiddenField ID="hdViewDetails" runat="server" />
<asp:HiddenField ID="hdAddToRegistry" runat="server" />
<asp:HiddenField ID="hdVendorID" runat="server" />
<asp:HiddenField ID="hdSearchVendorID" runat="server" />
<asp:HiddenField ID="hdVendorStoreType" runat="server" />
<asp:HiddenField ID="hdPortalSharing" runat="server" />
<asp:HiddenField ID="hdAllowProductEdit" runat="server" />
<asp:HiddenField ID="hdShowRecordDropdown" runat="server" />
<asp:HiddenField ID="hdSmithDiscounts" runat="server" />
<asp:Label runat="server" ID="VATIncLabel" resourcekey="VATIncLabel" Text="({0} inc. VAT)" Visible="false" />
<%--</asp:Panel>--%>
















