<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>

<div runat="server" id="tdThumb" class="scProduct scMultiColumn">
    <table class="scProduct">

        <tr runat="server" id="trCatDescInline" visible="false">
            <td nowrap="nowrap"><asp:Label runat="server" ID="lblCatDescInline" /></td>
        </tr>

        <tr runat="server" id="trThumb">
            <td class="scImage">
                 <asp:LinkButton ID="ibEditProduct" runat="server" CommandName="ibEditProduct" Visible="false">
                    <asp:image id="imgEdit" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/pencil.png" />
                </asp:LinkButton>
                <a runat="server" id="lnkImage" href=''><img id="img" runat="server" alt='' src="" /></a>
            </td>
        </tr>

        <tr runat="server" id="trSku" visible="false">
            <td class="scDescription">
                <asp:Label runat="server" ID="lblProductSKULabel" resourcekey="lblSkuLabel" />&nbsp;
                <asp:Label runat="server" ID="lblProductSKU" Text='<% #Eval("ModelNumber") %>' /> 
            </td>
        </tr>

        <tr>
            <td class="scDescription">
                <asp:HyperLink ID="hylink" Text='<% #Eval("ModelName") %>' runat="server" CssClass="SmithProdText" NavigateUrl='' /> 
            </td>
        </tr>

        <tr runat="server" id="trSummary" visible="false">
            <td class="scDescription">
                <asp:Label runat="server" ID="lblSummary" Text='<% #Eval("Summary") %>' CssClass="SmithProdText"/>
            </td>
        </tr>
                    
        <tr runat="server" id="trRating" visible="false">
            <td class="scDetails">   
                <div class="scDetails">
                    <cc1:Rating ID="Gauge1" runat="server" MaxRating="5" CssClass="ratingStar" StarCssClass="ratingItem" WaitingStarCssClass="Empty" FilledStarCssClass="Filled" EmptyStarCssClass="Empty" ReadOnly="true"/>  
                </div> 
            </td>
        </tr>
                                    
        <tr runat="server" id="trPrice">
            <td class="scDetails" nowrap="nowrap">
              <div class="SmithProdText">
                <asp:Label runat="server"  ID="lblPriceLabel" resourcekey="lblPriceLabel"/>
                <asp:Label runat="server" ID="lblPrice"/>
              </div>
              <div class="SmithProdText">
                <asp:Label runat="server" ID="lblSalePriceLabel" resourcekey="lblSalePriceLabel" Visible="false"/>
                <asp:Label runat="server" ID="lblSalePrice" Visible="false"/>
              </div>
              <div class="SmithProdText">
                <asp:Label runat="server" ID="lblMemberPriceLabel" resourcekey="lblMemberPriceLabel" Visible="false"/>
                <asp:Label runat="server" ID="lblMemberPrice" Visible="false"/>
              </div>
              <div class="SmithProdText">
                <asp:Label runat="server" ID="lblEUVATIncPrice" Text="" Visible="false"/>
                <asp:TextBox runat="server" ID="txtPrice" Width="50px" MaxLength="8" Visible="false" />
              </div>
            </td>
        </tr>
                                    
        <tr runat="server" id="trStockMessage" visible="false">
            <td class="scDetails" nowrap="nowrap"><asp:Label ID="lblSoldOut" runat="server" /></td>
        </tr>

        <tr id="trQuantity" runat="server" >
            <td class="scDetails">
                <asp:Label runat="server" ID="lblQty" resourcekey="lblQty" CssClass="SmithProdText"/>
                <asp:TextBox ID="txtQuantity" Width="50px" MaxLength="5" CssClass="SmithProdText" runat="server" Text="1" />
            </td>
        </tr> 
                                    
        <tr runat="server" id="trCoupon" visible="false" >
            <td class="scDetails" nowrap="nowrap" >
                <asp:Label runat="server" ID="lblCouponLabel" CssClass="SmithProdText"/>
                <asp:TextBox ID="txtCouponCode" Width="75px" CssClass="SmithProdText" runat="server" />
            </td>
        </tr>  
                                    
        <tr id="ibAddToCartContainer" runat="server" visible="true">
            <td class="scButton">
                <div class="b_left scButton"></div><!-- no white space
                --><div class="b_center scButton"><asp:LinkButton ID="ibAddToCart" runat="server" CommandName="ibAddToCart"  Text="ADD TO CART" CssClass="b_link" resourcekey="ibAddToCart.Text" Font-Size="12px"/></div><!--
                --><div class="b_right scButton"></div>
            </td>
        </tr>
        <tr id="ibViewDetailContainer" runat="server" visible="false">
            <td class="scButton">
                <div class="b_left scButton"></div><!-- no white space
                --><div class="b_center scButton"><asp:LinkButton ID="ibViewDetails" runat="server" CommandName="ibViewDetails" Text="VIEW DETAILS" CssClass="b_link" resourcekey="ibViewDetails.Text" Font-Size="12px"/></div><!--
                --><div class="b_right scButton"></div>
            </td>
        </tr>
        <tr id="btnAddToRegistryContainer" runat="server" visible="false">
            <td class="scButton">
                <div class="b_left scButton"></div><!-- no white space
                --><div class="b_center scButton"><asp:LinkButton ID="btnAddToRegistry" runat="server" CommandName="btnAddToRegistry" CssClass="b_link" Font-Size="12px"/></div><!--
                --><div class="b_right scButton"></div>
            </td>
        </tr>
        <tr id="btnRemoveItemContainer" runat="server" visible="false">
            <td class="scButton">
                <div class="b_left scButton"></div><!-- no white space
                --><div class="b_center scButton"><asp:LinkButton ID="btnRemoveItem" runat="server" CommandName="btnRemoveItem" Text="REMOVE ITEM" CssClass="b_link" resourcekey="btnRemoveItem.Text" Font-Size="12px"/></div><!--
                --><div class="b_right scButton"></div>
            </td>
        </tr>
        <tr id="btnAddToWishlistContainer" runat="server" visible="false">
            <td class="scButton">
                <div class="wishlist_left scButton"></div><!-- no white space
                --><div class="wishlist_center scButton"><asp:LinkButton ID="btnAddToWishlist" runat="server" CommandName="btnAddToWishlist"  Text="ADD TO WISHLIST" CssClass="wishlist_link" resourcekey="btnAddToWishlist.Text" Font-Size="12px"/></div><!--
                --><div class="wishlist_right scButton"></div>
            </td>
        </tr>
        <tr id="ibSelectContainer" runat="server" visible="false" >
            <td class="scButton">
                <div class="b_left scButton"></div><!-- no white space
                --><div class="b_center scButton"><asp:LinkButton ID="ibSelect" runat="server" CommandName="ibSelect" Text="SELECT" CssClass="b_link" resourcekey="ibSelect.Text" Font-Size="12px"/></div><!--
                --><div class="b_right scButton"></div>
            </td>
        </tr>

        <tr>
            <td>
                <asp:HiddenField ID="hndProductID" Value='<% #Eval("ProductID") %>' runat="server" Visible="false" />
                <asp:HiddenField ID="hndSEOURL" Value='<% #Eval("SEOURL") %>' runat="server" Visible="false" />
            </td>
        </tr>
    </table>
</div>
<br />
